Index: general.ent
===================================================================
--- general.ent	(revision 1015ec34429bb8327507b87bb4d08ed7f0e465ad)
+++ general.ent	(revision 666920eaf1e56496e9f3333f8adc1ff8dd4cf55a)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "14">                   <!-- Always 2 digits -->
+<!ENTITY day          "15">                   <!-- Always 2 digits -->
 <!ENTITY month        "12">                   <!-- Always 2 digits -->
 <!ENTITY year         "2015">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "December 14th &year;">
+<!ENTITY releasedate  "December 15th &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 1015ec34429bb8327507b87bb4d08ed7f0e465ad)
+++ introduction/welcome/changelog.xml	(revision 666920eaf1e56496e9f3333f8adc1ff8dd4cf55a)
@@ -44,4 +44,16 @@
 
 -->
+
+    <listitem>
+      <para>December 15th, 2015</para>
+      <itemizedlist>
+       <listitem>
+         <para>[fernando] - Update to gstreamer-1.6.2, gst-plugins-base-1.6.2,
+         gst-plugins-good-1.6.2, gst-plugins-bad-1.6.2, gst-plugins-ugly-1.6.2,
+         and, gst-libav-1.6.2. Fixes
+         <ulink url="&blfs-ticket-root;7252">#7252</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision 1015ec34429bb8327507b87bb4d08ed7f0e465ad)
+++ multimedia/libdriv/gst10-libav.xml	(revision 666920eaf1e56496e9f3333f8adc1ff8dd4cf55a)
@@ -7,8 +7,8 @@
   <!ENTITY gst10-libav-download-http "&gstreamer-dl;/gst-libav/gst-libav-&gst10-libav-version;.tar.xz">
   <!ENTITY gst10-libav-download-ftp  " ">
-  <!ENTITY gst10-libav-md5sum        "058b22411e1690eee5b71d1ab44eab25">
-  <!ENTITY gst10-libav-size          "7.3 MB">
-  <!ENTITY gst10-libav-buildsize     "541 MB (additional 73 MB for the tests)">
-  <!ENTITY gst10-libav-time          "4.3 SBU (additional 0.1 SBU for tests)">
+  <!ENTITY gst10-libav-md5sum        "09644a38827d233f53edeac815dd0ec0">
+  <!ENTITY gst10-libav-size          "7.4 MB">
+  <!ENTITY gst10-libav-buildsize     "597 MB (with tests)">
+  <!ENTITY gst10-libav-time          "3.6 SBU (with tests)">
 ]>
 
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision 1015ec34429bb8327507b87bb4d08ed7f0e465ad)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 666920eaf1e56496e9f3333f8adc1ff8dd4cf55a)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-bad/gst-plugins-bad-&gst10-plugins-bad-version;.tar.xz">
   <!ENTITY gst10-plugins-bad-download-ftp  " ">
-  <!ENTITY gst10-plugins-bad-md5sum        "c92d7d32de68e7293712bf9b6c99dc77">
+  <!ENTITY gst10-plugins-bad-md5sum        "7c73bec1d389f0e184ebbbbb9e9f883d">
   <!ENTITY gst10-plugins-bad-size          "4.0 MB">
-  <!ENTITY gst10-plugins-bad-buildsize     "170 MB (additional 49 MB to run the test suite)">
-  <!ENTITY gst10-plugins-bad-time          "1.8 SBU (additional 1.3 SBU to run the test suite)">
+  <!ENTITY gst10-plugins-bad-buildsize     "217 MB (with tests)">
+  <!ENTITY gst10-plugins-bad-time          "2.5 SBU (with tests)">
 ]>
 
@@ -74,5 +74,5 @@
       </listitem>
     </itemizedlist>
-
+<!--
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
@@ -83,5 +83,5 @@
         </para>
       </listitem>
-    </itemizedlist>
+    </itemizedlist>-->
 
     <bridgehead renderas="sect3">GStreamer Bad Plug-ins Dependencies</bridgehead>
@@ -134,5 +134,4 @@
       <ulink url="http://sourceforge.net/projects/mjpeg/">MJPEG Tools</ulink>,
       <ulink url="http://kcat.strangesoft.net/openal.html">OpenAL</ulink>,
-      <ulink url="http://kcat.strangesoft.net/openal.html">OpenAL</ulink>,
       <ulink url="http://gstreamer.freedesktop.org/src/orc/">Orc</ulink>,
       <ulink url="http://sourceforge.net/projects/opencore-amr/files/vo-aacenc/">VO AAC</ulink>,
@@ -157,8 +156,11 @@
       If you have installed <xref linkend="openjpeg2"/> and wish to use it with
       <application>GStreamer Bad Plug-ins</application>, apply the following
-      patch:
-    </para>
-
-<screen><userinput>patch -Np1 -i ../gst-plugins-bad-&gst10-plugins-bad-version;-openjpeg21-1.patch &amp;&amp;</userinput></screen>
+      sed commnds:
+    </para>
+
+<screen><userinput>sed -e '/openjpeg-2/ s/0/1/' \
+    -i configure ext/openjpeg/gstopenjpeg.h &amp;&amp;
+sed -e '/user_data (/ s/mstream/&amp;, NULL/' \
+    -i ext/openjpeg/gstopenjpeg{enc,dec}.c  &amp;&amp;</userinput></screen>
 
     <para>
@@ -173,7 +175,6 @@
 
     <para>
-      To test the results, issue: <command>make check</command>. One test
-      (camerabin) needs hardware with a camera. Several tests need a
-      terminal emulator in a graphical session.
+      To test the results, issue: <command>make check</command>. Several tests
+      need a terminal emulator in a graphical session.
     </para>
 
@@ -213,5 +214,6 @@
           /usr/include/gstreamer-1.0/gst/{basecamerabinsrc,codecparsers,gl},
           /usr/include/gstreamer-1.0/gst/{insertbin,interfaces,mpegts},
-          /usr/include/gstreamer-1.0/gst/uridownloader, and
+          /usr/include/gstreamer-1.0/gst/uridownloader,
+          /usr/lib/gstreamer-1.0/include, and
           /usr/share/gtk-doc/html/gst-plugins-bad-{libs,plugins}-1.0
         </seg>
Index: multimedia/libdriv/gst10-plugins-base.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-base.xml	(revision 1015ec34429bb8327507b87bb4d08ed7f0e465ad)
+++ multimedia/libdriv/gst10-plugins-base.xml	(revision 666920eaf1e56496e9f3333f8adc1ff8dd4cf55a)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-base/gst-plugins-base-&gst10-plugins-base-version;.tar.xz">
   <!ENTITY gst10-plugins-base-download-ftp  " ">
-  <!ENTITY gst10-plugins-base-md5sum        "a89933afbe45d8f8c92d89c2f1199ecb">
-  <!ENTITY gst10-plugins-base-size          "2.7 MB">
+  <!ENTITY gst10-plugins-base-md5sum        "f530fbbe287edce79c55a37bd1a39fe2">
+  <!ENTITY gst10-plugins-base-size          "143 MB (with tests)">
   <!ENTITY gst10-plugins-base-buildsize     "97 MB (additional 45 MB to run the test suite)">
-  <!ENTITY gst10-plugins-base-time          "1.1 SBU (additional 1.3 SBU to run the test suite)">
+  <!ENTITY gst10-plugins-base-time          "2.1 SBU (with tests)">
 ]>
 
Index: multimedia/libdriv/gst10-plugins-good.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-good.xml	(revision 1015ec34429bb8327507b87bb4d08ed7f0e465ad)
+++ multimedia/libdriv/gst10-plugins-good.xml	(revision 666920eaf1e56496e9f3333f8adc1ff8dd4cf55a)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-good/gst-plugins-good-&gst10-plugins-good-version;.tar.xz">
   <!ENTITY gst10-plugins-good-download-ftp  " ">
-  <!ENTITY gst10-plugins-good-md5sum        "a930f5ff133f17baf39d2876628b7890">
-  <!ENTITY gst10-plugins-good-size          "3.0 MB">
-  <!ENTITY gst10-plugins-good-buildsize     "114 GB (additional 42 MB to run the test suite)">
-  <!ENTITY gst10-plugins-good-time          "1.3 SBU (additional 0.9 SBU to run the test suite)">
+  <!ENTITY gst10-plugins-good-md5sum        "ef4f5bc4f31f706832a234b0f603967b">
+  <!ENTITY gst10-plugins-good-size          "3.1 MB">
+  <!ENTITY gst10-plugins-good-buildsize     "155 GB (with tests)">
+  <!ENTITY gst10-plugins-good-time          "1.9 SBU (with tests)">
 ]>
 
@@ -138,5 +138,13 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr \
+<screen><userinput>sed -e '/smgradio/ {
+    a \  \/* Radionomy Hot40Music shoutcast stream *\/
+    a \  g_object_set (src, "location",
+    a \      "http://streaming.radionomy.com:80/Hot40Music", NULL);
+  }'  \
+    -e '/Virgin/,/smgradio/d' \
+    -i tests/check/elements/souphttpsrc.c &amp;&amp;
+
+./configure --prefix=/usr \
             --with-package-name="GStreamer Good Plugins &gst10-plugins-good-version; BLFS" \
             --with-package-origin="http://www.linuxfromscratch.org/blfs/view/svn/"  &amp;&amp;
@@ -144,6 +152,5 @@
 
     <para>
-      To test the results, issue: <command>make -k check</command>. Some tests
-      are known to fail.
+      To test the results, issue: <command>make check</command>.
     </para>
 
@@ -153,4 +160,18 @@
 
 <screen role="root"><userinput>make install</userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><command>sed -e '/smgradio/ ...
+                       -i tests/check/elements/souphttpsrc.c</command>.<!--
+    Fixes failing ICY test. Previous provider has streaming disabled outside UK.
+    To be removed at release 1.6.3.
+    tests: souphttpsrc test_icy_stream:0: Assertion 'caps != NULL' failed
+    https://bugzilla.gnome.org/show_bug.cgi?id=758114
+    https://bug758114.bugzilla-attachments.gnome.org/attachment.cgi?id=316570-->
+    </para>
+
   </sect2>
 
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision 1015ec34429bb8327507b87bb4d08ed7f0e465ad)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 666920eaf1e56496e9f3333f8adc1ff8dd4cf55a)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-ugly/gst-plugins-ugly-&gst10-plugins-ugly-version;.tar.xz">
   <!ENTITY gst10-plugins-ugly-download-ftp  " ">
-  <!ENTITY gst10-plugins-ugly-md5sum        "2c20faa2406afb840699e97e913d8fb4">
+  <!ENTITY gst10-plugins-ugly-md5sum        "0f0e30336e3155443cd5bfec5c215d56">
   <!ENTITY gst10-plugins-ugly-size          "840 KB">
-  <!ENTITY gst10-plugins-ugly-buildsize     "16 MB (additional 4 MB for tests)">
-  <!ENTITY gst10-plugins-ugly-time          "0.2 SBU (less than 0.1 SBU for tests)">
+  <!ENTITY gst10-plugins-ugly-buildsize     "20 MB (with tests)">
+  <!ENTITY gst10-plugins-ugly-time          "0.2 SBU (with tests)">
 ]>
 
Index: multimedia/libdriv/gstreamer10.xml
===================================================================
--- multimedia/libdriv/gstreamer10.xml	(revision 1015ec34429bb8327507b87bb4d08ed7f0e465ad)
+++ multimedia/libdriv/gstreamer10.xml	(revision 666920eaf1e56496e9f3333f8adc1ff8dd4cf55a)
@@ -7,8 +7,8 @@
   <!ENTITY gstreamer10-download-http "&gstreamer-dl;/gstreamer/gstreamer-&gstreamer10-version;.tar.xz">
   <!ENTITY gstreamer10-download-ftp  " ">
-  <!ENTITY gstreamer10-md5sum        "e72e2dc2ee06bfc045bb6010c89de520">
+  <!ENTITY gstreamer10-md5sum        "5e610b5a94c209487310739b39b6c464">
   <!ENTITY gstreamer10-size          "3.4 MB">
-  <!ENTITY gstreamer10-buildsize     "75 MB (additional 61 MB to run the test suite)">
-  <!ENTITY gstreamer10-time          "0.7 SBU (additional 1.2 SBU to run the test suite)">
+  <!ENTITY gstreamer10-buildsize     "136 MB (with tests)">
+  <!ENTITY gstreamer10-time          "1.6 SBU (with tests)">
 ]>
 
@@ -139,12 +139,9 @@
         <seg>
           libgstbase-1.0.so, libgstcheck-1.0.so, libgstcontroller-1.0.so,
-          libgstnet-1.0.so, libgstreamer-1.0.so
-          and /usr/lib/gstreamer-1.0/libgstcoreelements.so
+          libgstnet-1.0.so, and libgstreamer-1.0.so
         </seg>
         <seg>
-          /usr/include/gstreamer-1.0,
-          /usr/lib/gstreamer-1.0,
-          /usr/libexec/gstreamer-1.0, and
-          /usr/share/gtk-doc/html/gstreamer{,-{libs,plugins}}-1.0
+          /usr/{include,lib,libexec}/gstreamer-1.0 and
+          /usr/share/gtk-doc/html/gstreamer{,-libs,-plugins}-1.0
         </seg>
       </seglistitem>
Index: packages.ent
===================================================================
--- packages.ent	(revision 1015ec34429bb8327507b87bb4d08ed7f0e465ad)
+++ packages.ent	(revision 666920eaf1e56496e9f3333f8adc1ff8dd4cf55a)
@@ -689,10 +689,10 @@
 <!ENTITY frei0r-version               "27-01-15">
 <!ENTITY gavl-version                 "1.4.0">
-<!ENTITY gstreamer10-version          "1.6.1">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-base-version   "1.6.1">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-good-version   "1.6.1">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-bad-version    "1.6.1">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-ugly-version   "1.6.1">  <!-- Even minors only -->
-<!ENTITY gst10-libav-version          "1.6.1">  <!-- Even minors only -->
+<!ENTITY gstreamer10-version          "1.6.2">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-base-version   "1.6.2">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-good-version   "1.6.2">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-bad-version    "1.6.2">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-ugly-version   "1.6.2">  <!-- Even minors only -->
+<!ENTITY gst10-libav-version          "1.6.2">  <!-- Even minors only -->
 <!ENTITY icedtea-sound-version        "1.0.1">
 <!ENTITY liba52-version               "0.7.4">