Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7a14dada87e35a85532e6c2f4a6f74e6e181d8d3)
+++ introduction/welcome/changelog.xml	(revision 676876baebcb32044718f96347a61f4579480ce0)
@@ -46,4 +46,8 @@
       <itemizedlist>
         <listitem>
+          <para>[pierre] - Update to samba-4.15.2 (security fix). Fixes
+          <ulink url="&blfs-ticket-root;15742">#15742</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[ken] - Update to harfbuzz-3.1.1. Fixes
           <ulink url="&blfs-ticket-root;15728">#15728</ulink>.</para>
Index: networking/netprogs/samba.xml
===================================================================
--- networking/netprogs/samba.xml	(revision 7a14dada87e35a85532e6c2f4a6f74e6e181d8d3)
+++ networking/netprogs/samba.xml	(revision 676876baebcb32044718f96347a61f4579480ce0)
@@ -5,12 +5,16 @@
   %general-entities;
 
-  <!ENTITY samba-download-http "https://www.samba.org/ftp/samba/stable/samba-&samba-version;.tar.gz">
+  <!ENTITY samba-download-http "https://download.samba.org/pub/samba/stable/samba-&samba-version;.tar.gz">
   <!ENTITY samba-download-ftp  " ">
-  <!ENTITY samba-md5sum        "6fb29796bbaba83c27968a8f4eedf1bc">
+  <!ENTITY samba-md5sum        "2245f5b1258b782702ad644c5e9d2857">
   <!ENTITY samba-size          "18 MB">
-  <!ENTITY samba-buildsize     "627 MB (add 210 MB for quicktest)">
-  <!ENTITY samba-time          "2.0 SBU (using parallelism=4; add 3.4 SBU for quicktest)">
+  <!ENTITY samba-buildsize     "635 MB (add 17 MB for quicktest)">
+  <!ENTITY samba-time          "2.5 SBU (using parallelism=4; add 0.5 SBU for quicktest)">
 ]>
-
+<!-- [pierre 2021-11-11]: quick test seems to be much smaller than previously.
+     I'll update anyway since this is a high priority release: feel free
+     to update figures. I seem to have all the optional dependencies that
+     are in the book, in addition to the python venv as setup in the
+     instructions below. -->
 <sect1 id="samba" xreflabel="Samba-&samba-version;">
   <?dbhtml filename="samba.html"?>
@@ -82,5 +86,4 @@
       <xref linkend="libtirpc"/>,
       <xref linkend="lmdb"/>, and
-      <!--<xref linkend="python3"/>, and-->
       <xref linkend="rpcsvc-proto"/>
     </para>
@@ -138,6 +141,7 @@
       <ulink url="https://pypi.org/project/pyasn1/">pyasn1</ulink>,
       <ulink url="&pypi;/pygpgme/">PyGPGME</ulink> (recommended for ADS),
-      <ulink url="https://tevent.samba.org/">tevent</ulink> (included), and
-      <ulink url="https://tdb.samba.org/">tdb</ulink> (included)
+      <ulink url="https://tevent.samba.org/">tevent</ulink> (included),
+      <ulink url="https://tdb.samba.org/">tdb</ulink> (included), and
+      <ulink url="https://download.gnome.org/sources/tracker/2.3/">tracker-2</ulink>
     </para>
 
@@ -711,31 +715,26 @@
 
         <seg>
-          cifsdd, dbwrap_tool, dumpmscat, eventlogadm, <!--findsmb,--> gentest,
+          cifsdd, dbwrap_tool, dumpmscat, eventlogadm, gentest,
           ldbadd, ldbdel, ldbedit, ldbmodify, ldbrename, ldbsearch, locktest,
           masktest, mdsearch, mvxattr, ndrdump, net, nmbd, nmblookup, ntlm_auth,
-          oLschema2ldif, pdbedit, <!--pidl,-->  profiles, regdiff, regpatch,
-          regshell, regtree, rpcclient, samba, samba_dnsupdate,
-          samba_downgrade_db, samba_kcc, samba-gpupdate, samba-regedit,
-          samba_spnupdate, samba-tool, samba_upgradedns, sharesec, smbcacls,
+          oLschema2ldif, pdbedit, profiles, regdiff, regpatch, regshell,
+          regtree, rpcclient, samba (in /usr/libexec), samba-gpupdate,
+          samba-regedit, samba-tool, sharesec, smbcacls,
           smbclient, smbcontrol, smbcquotas, smbd, smbget, smbpasswd, smbspool,
-          smbstatus, smbtar, <!-- smbta-util, --> smbtorture, smbtree,
+          smbstatus, smbtar, smbtorture, smbtree,
           tdbbackup, tdbdump, tdbrestore, tdbtool, testparm, wbinfo, and winbindd
         </seg>
 
         <seg>
-          <!-- libdcerpc-atsvc.so, --> libdcerpc-binding.so, libdcerpc-samr.so,
+          libdcerpc-binding.so, libdcerpc-samr.so,
           libdcerpc-server-core.so, libdcerpc-server.so, libdcerpc.so,
-          <!-- libgensec.so, --> libndr-krb5pac.so, libndr-nbt.so, libndr.so,
+          libndr-krb5pac.so, libndr-nbt.so, libndr.so,
           libndr-standard.so, libnetapi.so, libnss_winbind.so, libnss_wins.so,
-          <!-- libregistry.so, --> libsamba-credentials.so, libsamba-errors.so,
+          libsamba-credentials.so, libsamba-errors.so,
           libsamba-hostconfig.so, libsamba-passdb.so,
           libsamba-policy.cpython-310-x86_64-linux-gnu.so, libsamba-util.so,
-          libsamdb.so, <!-- libsmbclient-raw.so, --> libsmbclient.so,
+          libsamdb.so, libsmbclient.so,
           libsmbconf.so, libsmbldap.so, libtevent-util.so,
-          <!-- libtevent-unix.so, libtorture.so, -->
-          libwbclient.so, <!--mit_samba.so,
-          --> and winbind_krb5_locator.so; the pam_winbind.so
-          <!-- pam_smbpass.so --> PAM library; and assorted character set,
-          filesystem and support modules under
+          libwbclient.so, and filesystem and support modules under
           /usr/lib/{python&python3-majorver;,samba}
         </seg>
@@ -743,5 +742,4 @@
         <seg>
           /etc/samba, /run/samba, /usr/include/samba-4.0,
-           <!--/usr/lib/perl5/vendor_perl/5.x.y/Parse/Pidl/{Samba{3,4},Wireshark},-->
           /usr/lib/python&python3-majorver;/site-packages/samba,
           /usr/libexec/samba, /usr/{lib,share}/samba,
@@ -782,4 +780,16 @@
       </varlistentry>
 
+      <varlistentry id="dumpmscat">
+        <term><command>dumpmscat</command></term>
+        <listitem>
+          <para>
+            dumps the content of MS catalog files
+          </para>
+          <indexterm zone="samba dumpmscat">
+            <primary sortas="b-dumpmscat">dumpmscat</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="eventlogadm">
         <term><command>eventlogadm</command></term>
@@ -796,19 +806,4 @@
       </varlistentry>
 
-<!--
-      <varlistentry id="findsmb">
-        <term><command>findsmb</command></term>
-        <listitem>
-          <para>
-            is used to list info about machines that respond to SMB name
-            queries on a subnet
-          </para>
-          <indexterm zone="samba findsmb">
-            <primary sortas="b-findsmb">findsmb</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
--->
-
       <varlistentry id="gentest">
         <term><command>gentest</command></term>
@@ -1035,19 +1030,4 @@
       </varlistentry>
 
-      <!--
-      <varlistentry id="pidl">
-        <term><command>pidl</command></term>
-        <listitem>
-          <para>
-            is an IDL (Interface Definition Language) compiler
-            written in Perl.
-          </para>
-          <indexterm zone="samba pidl">
-            <primary sortas="b-pidl">pidl</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-      -->
-
       <varlistentry id="profiles">
         <term><command>profiles</command></term>
@@ -1136,42 +1116,4 @@
       </varlistentry>
 
-      <varlistentry id="samba_dnsupdate">
-        <term><command>samba_dnsupdate</command></term>
-        <listitem>
-          <para>
-            is used to update the DNS names using TSIG-GSS
-          </para>
-          <indexterm zone="samba samba_dnsupdate">
-            <primary sortas="b-samba_dnsupdate">samba_dnsupdate</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="samba_downgrade_db">
-        <term><command>samba_downgrade_db</command></term>
-        <listitem>
-          <para>
-            downgrades the Samba AD database to be compatible with a previous
-            version of Samba
-          </para>
-          <indexterm zone="samba samba_downgrade_db">
-            <primary sortas="b-samba_downgrade_db">samba_downgrade_db</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="samba_kcc">
-        <term><command>samba_kcc</command></term>
-        <listitem>
-          <para>
-            is a script used to compute your KCC (Knowledge
-            Consistency Checker) topology
-          </para>
-          <indexterm zone="samba samba_kcc">
-            <primary sortas="b-samba_kcc">samba_kcc</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="samba-gpupdate">
         <term><command>samba-gpupdate</command></term>
@@ -1198,17 +1140,4 @@
       </varlistentry>
 
-      <varlistentry id="samba_spnupdate">
-        <term><command>samba_spnupdate</command></term>
-        <listitem>
-          <para>
-            is a script to update the servicePrincipalName
-            names from spn_update_list
-          </para>
-          <indexterm zone="samba samba_spnupdate">
-            <primary sortas="b-samba_spnupdate">samba_spnupdate</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="samba-tool">
         <term><command>samba-tool</command></term>
@@ -1219,16 +1148,4 @@
           <indexterm zone="samba samba-tool">
             <primary sortas="b-samba-tool">samba-tool</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="samba_upgradedns">
-        <term><command>samba_upgradedns</command></term>
-        <listitem>
-          <para>
-            upgrades the DNS records in a Samba server to a newer version
-          </para>
-          <indexterm zone="samba samba_upgradedns">
-            <primary sortas="b-samba_upgradedns">samba_upgradedns</primary>
           </indexterm>
         </listitem>
@@ -1372,19 +1289,4 @@
       </varlistentry>
 
-<!--
-      <varlistentry id="smbta-util">
-        <term><command>smbta-util</command></term>
-        <listitem>
-          <para>
-            is a tool to ease the configuration of the
-            vfs_smb_traffic_analyzer module regarding data encryption.
-          </para>
-          <indexterm zone="samba smbta-util">
-            <primary sortas="b-smbta-util">smbta-util</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
--->
-
       <varlistentry id="smbtorture">
         <term><command>smbtorture</command></term>
Index: packages.ent
===================================================================
--- packages.ent	(revision 7a14dada87e35a85532e6c2f4a6f74e6e181d8d3)
+++ packages.ent	(revision 676876baebcb32044718f96347a61f4579480ce0)
@@ -602,5 +602,5 @@
 <!ENTITY rpcbind-version              "1.2.6">
 <!ENTITY rsync-version                "3.2.3">
-<!ENTITY samba-version                "4.15.1">
+<!ENTITY samba-version                "4.15.2">
 <!ENTITY wget-version                 "1.21.2">
 <!ENTITY wireless-tools-version       "29">