Index: general/prog/pygobject3.xml
===================================================================
--- general/prog/pygobject3.xml	(revision 67e027f44515d5440f08d75ba5cc1e38345a2e00)
+++ general/prog/pygobject3.xml	(revision 687565e45ba19c71525b7487faed02709598ead9)
@@ -6,10 +6,10 @@
 
   <!ENTITY pygobject3-download-http
-           "&gnome-download-http;/pygobject/3.12/pygobject-&pygobject3-version;.tar.xz">
+           "&gnome-download-http;/pygobject/3.14/pygobject-&pygobject3-version;.tar.xz">
   <!ENTITY pygobject3-download-ftp
-           "&gnome-download-ftp;/pygobject/3.12/pygobject-&pygobject3-version;.tar.xz">
-  <!ENTITY pygobject3-md5sum        "fd9b1e956ee2e2dae544e57b1858596b">
-  <!ENTITY pygobject3-size          "688 KB">
-  <!ENTITY pygobject3-buildsize     "21 MB (additional 3 MB for the tests)">
+           "&gnome-download-ftp;/pygobject/3.14/pygobject-&pygobject3-version;.tar.xz">
+  <!ENTITY pygobject3-md5sum        "17722912afa982a6feace4bb9bf52778">
+  <!ENTITY pygobject3-size          "687 KB">
+  <!ENTITY pygobject3-buildsize     "17.2 MB (additional 2 MB for the tests)">
   <!ENTITY pygobject3-time          "0.3 SBU (additional 0.2 SBU for the tests)">
 ]>
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision 67e027f44515d5440f08d75ba5cc1e38345a2e00)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 687565e45ba19c71525b7487faed02709598ead9)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-bad/gst-plugins-bad-&gst10-plugins-bad-version;.tar.xz">
   <!ENTITY gst10-plugins-bad-download-ftp  " ">
-  <!ENTITY gst10-plugins-bad-md5sum        "20cb190b18dc63017326321cdb7c91e5">
+  <!ENTITY gst10-plugins-bad-md5sum        "77c6bf4b7a328f03860a59171aa1bec5">
   <!ENTITY gst10-plugins-bad-size          "3.7 MB">
-  <!ENTITY gst10-plugins-bad-buildsize     "139 MB (additional 7 MB to run the test suite)">
-  <!ENTITY gst10-plugins-bad-time          "1.6 SBU (additional 1.1 SBU to run the test suite)">
+  <!ENTITY gst10-plugins-bad-buildsize     "125 MB (additional 8 MB to run the test suite)">
+  <!ENTITY gst10-plugins-bad-time          "2.0 SBU (additional 1.0 SBU to run the test suite)">
 ]>
 
Index: multimedia/libdriv/gst10-plugins-base.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-base.xml	(revision 67e027f44515d5440f08d75ba5cc1e38345a2e00)
+++ multimedia/libdriv/gst10-plugins-base.xml	(revision 687565e45ba19c71525b7487faed02709598ead9)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-base/gst-plugins-base-&gst10-plugins-base-version;.tar.xz">
   <!ENTITY gst10-plugins-base-download-ftp  " ">
-  <!ENTITY gst10-plugins-base-md5sum        "a825628225bd0a58c0df87cdd2a5db91">
+  <!ENTITY gst10-plugins-base-md5sum        "d8facf3be279585f3ad2e764540376f7">
   <!ENTITY gst10-plugins-base-size          "2.5 MB">
-  <!ENTITY gst10-plugins-base-buildsize     "94 MB (additional 13 MB to run the test suite)">
-  <!ENTITY gst10-plugins-base-time          "1.1 SBU (additional 0.7 SBU to run the test suite)">
+  <!ENTITY gst10-plugins-base-buildsize     "79.7 MB (additional 14.4 MB to run the test suite)">
+  <!ENTITY gst10-plugins-base-time          "1.3 SBU (additional 0.8 SBU to run the test suite)">
 ]>
 
Index: multimedia/libdriv/gst10-plugins-good-systemd.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-good-systemd.xml	(revision 67e027f44515d5440f08d75ba5cc1e38345a2e00)
+++ multimedia/libdriv/gst10-plugins-good-systemd.xml	(revision 687565e45ba19c71525b7487faed02709598ead9)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-good/gst-plugins-good-&gst10-plugins-good-version;.tar.xz">
   <!ENTITY gst10-plugins-good-download-ftp  " ">
-  <!ENTITY gst10-plugins-good-md5sum        "eb3a3296b2f6009def1f5a09590ce767">
+  <!ENTITY gst10-plugins-good-md5sum        "534ca03c00361d940008d36ac5c45966">
   <!ENTITY gst10-plugins-good-size          "2.9 MB">
-  <!ENTITY gst10-plugins-good-buildsize     "106 MB (additional 11 MB to run the test suite)">
-  <!ENTITY gst10-plugins-good-time          "1.2 SBU (additional 0.9 SBU to run the test suite)">
+  <!ENTITY gst10-plugins-good-buildsize     "89.3 MB (additional 10.9 MB to run the test suite)">
+  <!ENTITY gst10-plugins-good-time          "1.6 SBU (additional 0.9 SBU to run the test suite)">
 ]>
 
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision 67e027f44515d5440f08d75ba5cc1e38345a2e00)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 687565e45ba19c71525b7487faed02709598ead9)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-ugly/gst-plugins-ugly-&gst10-plugins-ugly-version;.tar.xz">
   <!ENTITY gst10-plugins-ugly-download-ftp  " ">
-  <!ENTITY gst10-plugins-ugly-md5sum        "316974af949ca4654efee704a0164076">
+  <!ENTITY gst10-plugins-ugly-md5sum        "239f055afb4ec0cf5ff8cde5a4a5bb9b">
   <!ENTITY gst10-plugins-ugly-size          "828 KB">
-  <!ENTITY gst10-plugins-ugly-buildsize     "17 MB">
-  <!ENTITY gst10-plugins-ugly-time          "0.2 SBU">
+  <!ENTITY gst10-plugins-ugly-buildsize     "15.4 MB (additional 654 KB for test suite)">
+  <!ENTITY gst10-plugins-ugly-time          "0.2 SBU (additional less than 0.1 SBU for test suite)">
 ]>
 
Index: multimedia/libdriv/gstreamer10.xml
===================================================================
--- multimedia/libdriv/gstreamer10.xml	(revision 67e027f44515d5440f08d75ba5cc1e38345a2e00)
+++ multimedia/libdriv/gstreamer10.xml	(revision 687565e45ba19c71525b7487faed02709598ead9)
@@ -7,8 +7,8 @@
   <!ENTITY gstreamer10-download-http "&gstreamer-dl;/gstreamer/gstreamer-&gstreamer10-version;.tar.xz">
   <!ENTITY gstreamer10-download-ftp  " ">
-  <!ENTITY gstreamer10-md5sum        "bd0938d680d657249b885162f310702d">
+  <!ENTITY gstreamer10-md5sum        "7934fd965bbe1398f0ff1edeb7f1fd89">
   <!ENTITY gstreamer10-size          "3.2 MB">
-  <!ENTITY gstreamer10-buildsize     "77 MB (additional 19 MB to run the test suite)">
-  <!ENTITY gstreamer10-time          "0.7 SBU (additional 0.8 SBU to run the test suite)">
+  <!ENTITY gstreamer10-buildsize     "60.5 MB (additional 19.5 MB to run the test suite)">
+  <!ENTITY gstreamer10-time          "0.8 SBU (additional 0.8 SBU to run the test suite)">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 67e027f44515d5440f08d75ba5cc1e38345a2e00)
+++ packages.ent	(revision 687565e45ba19c71525b7487faed02709598ead9)
@@ -328,5 +328,5 @@
 <!ENTITY pycairo-version              "1.10.0">
 <!ENTITY pygobject2-version           "2.28.6">
-<!ENTITY pygobject3-version           "3.12.2">
+<!ENTITY pygobject3-version           "3.14.0">
 <!ENTITY pygtk-version                "2.24.0">
 <!ENTITY pyxdg-version                "0.25">
@@ -376,5 +376,5 @@
 <!ENTITY libndp-version               "1.4">
 <!ENTITY libproxy-version             "0.4.7">
-<!ENTITY libsoup-version              "2.46.0">
+<!ENTITY libsoup-version              "2.48.0">
 <!ENTITY libtirpc-version             "0.2.5">
 <!ENTITY neon-version                 "0.30.0">
@@ -629,9 +629,9 @@
 <!ENTITY gst-plugins-ugly-version     "0.10.19">
 <!ENTITY gst-ffmpeg-version           "0.10.13">
-<!ENTITY gstreamer10-version          "1.4.1">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-base-version   "1.4.1">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-good-version   "1.4.1">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-bad-version    "1.4.1">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-ugly-version   "1.4.1">  <!-- Even minors only -->
+<!ENTITY gstreamer10-version          "1.4.3">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-base-version   "1.4.3">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-good-version   "1.4.3">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-bad-version    "1.4.3">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-ugly-version   "1.4.3">  <!-- Even minors only -->
 <!ENTITY gst10-libav-version          "1.4.1">  <!-- Even minors only -->
 <!ENTITY icedtea-sound-version        "1.0.1">