Index: appendices/glossary.xml
===================================================================
--- appendices/glossary.xml	(revision 7b459c22b67b45a92fa811b31261344c8fe5148c)
+++ appendices/glossary.xml	(revision 706265a939d7d1ab80a70690e572638369924c13)
@@ -137,4 +137,15 @@
     </glossentry>
 
+    <glossentry id="gASLR">
+      <glossterm>
+        <acronym>ASLR</acronym>
+      </glossterm>
+      <glossdef>
+        <para>
+          Address Space Layout Randomization
+        </para>
+      </glossdef>
+    </glossentry>
+
     <glossentry id="gASN">
       <glossterm>
@@ -1861,4 +1872,15 @@
     </glossentry>
 
+    <glossentry id="gPIE">
+      <glossterm>
+        <acronym>PIE</acronym>
+      </glossterm>
+      <glossdef>
+        <para>
+          Position Independent Executable
+        </para>
+      </glossdef>
+    </glossentry>
+
     <glossentry id="gPIM">
       <glossterm>
@@ -2301,4 +2323,15 @@
     </glossentry>
 
+    <glossentry id="gSSP">
+      <glossterm>
+        <acronym>SSP</acronym>
+      </glossterm>
+      <glossdef>
+        <para>
+          Stack Smash Protection
+        </para>
+      </glossdef>
+    </glossentry>
+
     <glossentry id="gSUID">
       <glossterm>
Index: general/prog/gcc.xml
===================================================================
--- general/prog/gcc.xml	(revision 7b459c22b67b45a92fa811b31261344c8fe5148c)
+++ general/prog/gcc.xml	(revision 706265a939d7d1ab80a70690e572638369924c13)
@@ -199,4 +199,6 @@
     --disable-multilib                                 \
     --with-system-zlib                                 \
+    --enable-default-pie                               \
+    --enable-default-ssp                               \
     --enable-languages=c,c++,fortran,go,objc,obj-c++ &amp;&amp;
 make</userinput></screen>
@@ -207,9 +209,10 @@
       the <application>GCC</application> part of the testsuite will run more
       tests than in LFS. Some of those will report FAIL and others XPASS
-      (pass when expected to FAIL). As of gcc-12.1.0, about 90 FAIL occur
+      (pass when expected to FAIL). As of gcc-12.2.0, about 60 FAIL occur
       in the <quote>guality</quote> suite, as well as miscellaneous failures
-      throughout the rest of the test suite. If all the compilers above are
-      built, there will be around 100 unexpected failures out of over
-      523,000 tests. To run the tests, issue:
+      throughout the rest of the test suite, fifteen of which are already
+      present in the GCC tests of LFS. If all the compilers above are
+      built, there will be around 80 unexpected failures out of over
+      482,000 tests. To run the tests, issue:
     </para>
 
@@ -273,6 +276,20 @@
       <application>zlib</application> instead of the bundled one.
       <application>zlib</application> is used for compressing
-      and uncompressing <application>GCC</application>'s intermediate
+      and decompressing <application>GCC</application>'s intermediate
       language in LTO (Link Time Optimization) object files.
+    </para>
+
+    <para>
+      <parameter>--enable-default-pie</parameter>: Makes the
+      <option>-fpie</option> option the default when compiling programs.
+      Together with the <xref linkend="gASLR"/> feature enabled in the kernel,
+      this defeats some kind of attacks based on known memory layouts.
+    </para>
+
+    <para>
+      <parameter>--enable-default-ssp</parameter>: Makes the
+      <option>-fstack-protector-strong</option> option the default when
+      compiling programs. <xref linkend="gSSP"/> is a technique preventing
+      alteration of the program flow by corrupting the parameter stack.
     </para>
 
Index: general/prog/llvm.xml
===================================================================
--- general/prog/llvm.xml	(revision 7b459c22b67b45a92fa811b31261344c8fe5148c)
+++ general/prog/llvm.xml	(revision 706265a939d7d1ab80a70690e572638369924c13)
@@ -152,5 +152,5 @@
         <listitem>
           <para>
-            SSP patch:
+            Patch enabling <xref linkend="gSSP"/> by default in clang:
             <ulink url="&patch-root;/clang-&llvm-version;-enable_default_ssp-1.patch"/>
           </para>
@@ -236,4 +236,12 @@
      before applying -i -->
 <screen><userinput remap="pre">patch -Np2 -d projects/compiler-rt &lt;../compiler-rt-14.0.6-glibc_2_36-1.patch</userinput></screen>
+
+    <para>
+      If you have downloaded <application>clang</application>,
+      apply the following patch to enable <xref linkend="gSSP"/> by default
+      in compiled programs.
+    </para>
+<!-- need <../<patch> instead of -i because -d changes directory
+     before applying -i -->
 <screen><userinput remap="pre">patch -Np2 -d tools/clang &lt;../clang-&llvm-version;-enable_default_ssp-1.patch</userinput></screen>
 
@@ -391,4 +399,11 @@
       benchmarks. This option requires additional code that
       is not currently available.
+    </para>
+
+    <para>
+      <parameter>-DCLANG_DEFAULT_PIE_ON_LINUX=ON</parameter>: makes
+      <option>-fpie</option> option the default when compiling programs.
+      Together with the <xref linkend="gASLR"/> feature enabled in the kernel,
+      this defeats some kind of attacks based on known memory layouts.
     </para>
 