Index: appendices/glossary.xml
===================================================================
--- appendices/glossary.xml	(revision fdb8f2c957d210e0546c304f95f9342d35db5ec6)
+++ appendices/glossary.xml	(revision 714882cbe1dd0f20257849bcf2b400234f8bb1f3)
@@ -99,4 +99,7 @@
 <glossentry id="gDHCP"><glossterm><acronym>DHCP</acronym></glossterm>
 <glossdef><para>Dynamic Host Configuration Protocol</para></glossdef></glossentry>
+
+<glossentry id="gDIC"><glossterm><acronym>DICT</acronym></glossterm>
+<glossdef><para>Dictionary Server Protocol (RFC 2229)</para></glossdef></glossentry>
 
 <glossentry id="gDIN"><glossterm><acronym>DIN</acronym></glossterm>
Index: kde/add/kdeartwork/kdeartwork-desc.xml
===================================================================
--- kde/add/kdeartwork/kdeartwork-desc.xml	(revision fdb8f2c957d210e0546c304f95f9342d35db5ec6)
+++ kde/add/kdeartwork/kdeartwork-desc.xml	(revision 714882cbe1dd0f20257849bcf2b400234f8bb1f3)
@@ -3,5 +3,5 @@
 
 <para><application>kdeartwork</application> package contains additional
-themes, screensaver, sounds, wallpapers and widget styles for
+themes, screensavers, sounds, backgrounds, and widget styles for
 <acronym>KDE</acronym>.</para>
 
Index: kde/add/kdeedu/kdeedu-desc.xml
===================================================================
--- kde/add/kdeedu/kdeedu-desc.xml	(revision fdb8f2c957d210e0546c304f95f9342d35db5ec6)
+++ kde/add/kdeedu/kdeedu-desc.xml	(revision 714882cbe1dd0f20257849bcf2b400234f8bb1f3)
@@ -74,5 +74,5 @@
 <sect3><title>kverbos</title>
 <para><command>kverbos</command> is an application specially
-designed to study Spanish verbforms.</para></sect3>
+designed to study Spanish verb forms.</para></sect3>
 
 <sect3><title>kvoctrain</title>
Index: kde/add/kdemultimedia/kdemultimedia-config.xml
===================================================================
--- kde/add/kdemultimedia/kdemultimedia-config.xml	(revision fdb8f2c957d210e0546c304f95f9342d35db5ec6)
+++ kde/add/kdemultimedia/kdemultimedia-config.xml	(revision 714882cbe1dd0f20257849bcf2b400234f8bb1f3)
@@ -9,6 +9,5 @@
 
 <screen><userinput><command>cd /dev &amp;&amp;
-ln -s <replaceable>[CD Drive]</replaceable>
-/dev/cdrom</command></userinput></screen>
+ln -s <replaceable>[CD Drive]</replaceable> /dev/cdrom</command></userinput></screen>
 
 </para>
Index: kde/add/kdenetwork/kdenetwork-config.xml
===================================================================
--- kde/add/kdenetwork/kdenetwork-config.xml	(revision fdb8f2c957d210e0546c304f95f9342d35db5ec6)
+++ kde/add/kdenetwork/kdenetwork-config.xml	(revision 714882cbe1dd0f20257849bcf2b400234f8bb1f3)
@@ -2,5 +2,5 @@
 <title>Configuring kdenetwork</title>
 
-<para>Install <filename>/etc/rc.d/init.d/lisa</filename> init script
+<para>Install the <filename>/etc/rc.d/init.d/lisa</filename> init script
 included in the <xref linkend="intro-important-bootscripts"/>
 package.</para>
Index: kde/add/kdenetwork/kdenetwork-desc.xml
===================================================================
--- kde/add/kdenetwork/kdenetwork-desc.xml	(revision fdb8f2c957d210e0546c304f95f9342d35db5ec6)
+++ kde/add/kdenetwork/kdenetwork-desc.xml	(revision 714882cbe1dd0f20257849bcf2b400234f8bb1f3)
@@ -60,5 +60,5 @@
 <sect3><title>ktalkd</title>
 <para><command>ktalkd</command> is an enhanced <command>talk</command>
-daemon - a program to handle incoming <command>talk</command> requests,
+daemon&mdash;a program to handle incoming <command>talk</command> requests,
 announce them and allow you to respond to them using a talk
 client.</para></sect3>
Index: kde/add/kdepim/kdepim-desc.xml
===================================================================
--- kde/add/kdepim/kdepim-desc.xml	(revision fdb8f2c957d210e0546c304f95f9342d35db5ec6)
+++ kde/add/kdepim/kdepim-desc.xml	(revision 714882cbe1dd0f20257849bcf2b400234f8bb1f3)
@@ -32,5 +32,5 @@
 
 <sect3><title>kandy</title>
-<para><command>kandy</command>is a program to synchronize mobile phone
+<para><command>kandy</command> is a program to synchronize mobile phone
 numbers.</para></sect3>
 
Index: kde/add/kdesdk/kdesdk-inst.xml
===================================================================
--- kde/add/kdesdk/kdesdk-inst.xml	(revision fdb8f2c957d210e0546c304f95f9342d35db5ec6)
+++ kde/add/kdesdk/kdesdk-inst.xml	(revision 714882cbe1dd0f20257849bcf2b400234f8bb1f3)
@@ -9,5 +9,5 @@
 <para>
 The <command>make</command> command will error out two times. On the
-first occurrence enter the following sed command and continue with the
+first occurrence, enter the following sed command and continue with the
 compilation:
 </para>
Index: kde/add/kdeutils/kdeutils-desc.xml
===================================================================
--- kde/add/kdeutils/kdeutils-desc.xml	(revision fdb8f2c957d210e0546c304f95f9342d35db5ec6)
+++ kde/add/kdeutils/kdeutils-desc.xml	(revision 714882cbe1dd0f20257849bcf2b400234f8bb1f3)
@@ -29,5 +29,5 @@
 
 <sect3><title>irkick</title>
-<para><command>irkick</command> is the infrastructure for the
+<para><command>irkick</command> is the infrastructure for 
 <acronym>KDE</acronym>'s Infrared Remote Control functionality;
 <command>irkick</command> is the server component of that
Index: kde/add/quanta/quanta-desc.xml
===================================================================
--- kde/add/quanta/quanta-desc.xml	(revision fdb8f2c957d210e0546c304f95f9342d35db5ec6)
+++ kde/add/quanta/quanta-desc.xml	(revision 714882cbe1dd0f20257849bcf2b400234f8bb1f3)
@@ -17,5 +17,5 @@
 
 <sect3><title>quanta</title>
-<para><command>quanta</command> is a Web <acronym>IDE</acronym> that
+<para><command>quanta</command> is a web development tool that
 strives to be neutral and transparent to all markup languages, while
 supporting popular web-based scripting languages,
Index: kde/core/kdebase/kdebase-desc.xml
===================================================================
--- kde/core/kdebase/kdebase-desc.xml	(revision fdb8f2c957d210e0546c304f95f9342d35db5ec6)
+++ kde/core/kdebase/kdebase-desc.xml	(revision 714882cbe1dd0f20257849bcf2b400234f8bb1f3)
@@ -42,5 +42,5 @@
 
 <sect3><title>kdeprint</title>
-<para><command>kdeprint</command> provides Print job
+<para><command>kdeprint</command> provides print job
 administration.</para></sect3>
 
@@ -79,5 +79,5 @@
 
 <sect3><title>konqueror</title>
-<para><command>konqueror</command> is a filesystem and Web
+<para><command>konqueror</command> is a filesystem and web
 browser.</para></sect3>
 
Index: kde/core/kdebase/kdebase-intro.xml
===================================================================
--- kde/core/kdebase/kdebase-intro.xml	(revision fdb8f2c957d210e0546c304f95f9342d35db5ec6)
+++ kde/core/kdebase/kdebase-intro.xml	(revision 714882cbe1dd0f20257849bcf2b400234f8bb1f3)
@@ -36,5 +36,5 @@
 <xref linkend="libart_lgpl"/>,
 <xref linkend="samba3"/>,
-<ulink url="http://mtools.linux.lu/">Mtools</ulink>,
+<ulink url="http://mtools.linux.lu/?power-to-the-parliament">Mtools</ulink>,
 <ulink url="http://www.pdc.kth.se/kth-krb/">krb4</ulink>,
 <ulink url="http://www.ece.uvic.ca/~mdadams/jasper/">JasPer</ulink>,
Index: xsoft/office/office.xml
===================================================================
--- xsoft/office/office.xml	(revision fdb8f2c957d210e0546c304f95f9342d35db5ec6)
+++ xsoft/office/office.xml	(revision 714882cbe1dd0f20257849bcf2b400234f8bb1f3)
@@ -3,6 +3,6 @@
 <title>Individual Office Programs</title>
 
-<para>This chapter is a collection of independant projects that can be
-installed based on specific needs.  Together, they create a respectible
+<para>This chapter is a collection of independent projects that can be
+installed based on specific needs.  Together, they create a respectable
 office suite. While they may be lacking in user interface consistency,
 they excel in doing one thing and doing it well.</para>
Index: xsoft/suites/openoffice/openoffice-exp.xml
===================================================================
--- xsoft/suites/openoffice/openoffice-exp.xml	(revision fdb8f2c957d210e0546c304f95f9342d35db5ec6)
+++ xsoft/suites/openoffice/openoffice-exp.xml	(revision 714882cbe1dd0f20257849bcf2b400234f8bb1f3)
@@ -25,5 +25,5 @@
 
 <para><command>sed -i "s:^oo_home=...</command>: Remove version specific
-installation directory</para>
+installation directory.</para>
 
 <para><command>for appl in swriter scalc sdraw simpress smath soffice;
Index: xsoft/suites/openoffice/openoffice-inst.xml
===================================================================
--- xsoft/suites/openoffice/openoffice-inst.xml	(revision fdb8f2c957d210e0546c304f95f9342d35db5ec6)
+++ xsoft/suites/openoffice/openoffice-inst.xml	(revision 714882cbe1dd0f20257849bcf2b400234f8bb1f3)
@@ -11,5 +11,5 @@
 <para>If you want to optimize the build, edit
 <filename>solenv/inc/unxlngi4.mk</filename> and add the desired optimization
-flags to <envar>CFLAGSOPT</envar> variable. Some users have reported problems with
+flags to the <envar>CFLAGSOPT</envar> variable. Some users have reported problems with
 -fomit-frame-pointer. The best option is to not use any custom optimizations.
 The following command removes an incorrect -mcpu option in the above file.</para>
@@ -23,8 +23,8 @@
 in the language of your choice, the default will be English.
 The following option
-compiles all available languages. BTW, if you restrict the languages, be sure to
-add ENUS to the list, without it the build fails. Also, the build fails when
+compiles all available languages. If you restrict the languages, be sure to
+add ENUS to the list; otherwise the build fails. Also, the build fails when
 the environment variable <envar>LANG</envar> is
-set, unset it before compiling.</para>
+set. Unset it before compiling.</para>
 
 <screen><userinput><command>cd config_office/ &amp;&amp;
@@ -57,10 +57,11 @@
 bash -c "source LinuxIntelEnv.Set.sh ; dmake"</command></userinput></screen>
 
-<para>Install <application>OpenOffice</application> using the following 
-commands. The following commands install the English language set. To install a localized version, replace the
-01 by the international telephone country code for your country. Note that when
-installing, it needs a <application>X</application> Display, even though there 
-is no visible <application>X</application> window. You
-can use <application>Xvfb</application> if you are compiling on a console.</para>
+<para>Install <application>OpenOffice</application> using the following
+commands to install the English language set. To install a localized version,
+replace the 01 with the international telephone country code for your country.
+Note that when installing, <application>OpenOffice</application> needs an
+<application>X</application> display, even though there is no visible
+<application>X</application> window. You can use
+<application>Xvfb</application> if you are compiling on a console.</para>
 
 <screen><userinput><command>cd instsetoo/unxlngi4.pro/01/normal &amp;&amp;
Index: xsoft/suites/openoffice/openoffice-intro.xml
===================================================================
--- xsoft/suites/openoffice/openoffice-intro.xml	(revision fdb8f2c957d210e0546c304f95f9342d35db5ec6)
+++ xsoft/suites/openoffice/openoffice-intro.xml	(revision 714882cbe1dd0f20257849bcf2b400234f8bb1f3)
@@ -2,5 +2,5 @@
 <title>Introduction to <application>OpenOffice</application></title>
 
-<para>The <application>OpenOffice</application> is a office suite, the 
+<para>The <application>OpenOffice</application> is an office suite, the 
 Open Source sibling of <application>StarOffice</application>.</para>
 