Index: general/prog/check.xml
===================================================================
--- general/prog/check.xml	(revision 155d1f806abbebb147dd13745bd9bd2d58f990e3)
+++ general/prog/check.xml	(revision 718593a75427a1f7379eec1062784f668aa38b3f)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/clisp.xml
===================================================================
--- general/prog/clisp.xml	(revision 155d1f806abbebb147dd13745bd9bd2d58f990e3)
+++ general/prog/clisp.xml	(revision 718593a75427a1f7379eec1062784f668aa38b3f)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/doxygen.xml
===================================================================
--- general/prog/doxygen.xml	(revision 155d1f806abbebb147dd13745bd9bd2d58f990e3)
+++ general/prog/doxygen.xml	(revision 718593a75427a1f7379eec1062784f668aa38b3f)
@@ -51,5 +51,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/gcc-ada.xml
===================================================================
--- general/prog/gcc-ada.xml	(revision 155d1f806abbebb147dd13745bd9bd2d58f990e3)
+++ general/prog/gcc-ada.xml	(revision 718593a75427a1f7379eec1062784f668aa38b3f)
@@ -51,5 +51,5 @@
     a binary compiler.</para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <caution>
Index: general/prog/gcc-java.xml
===================================================================
--- general/prog/gcc-java.xml	(revision 155d1f806abbebb147dd13745bd9bd2d58f990e3)
+++ general/prog/gcc-java.xml	(revision 718593a75427a1f7379eec1062784f668aa38b3f)
@@ -46,5 +46,5 @@
     without the need for downloading a Java binary.</para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <caution>
Index: general/prog/gcc.xml
===================================================================
--- general/prog/gcc.xml	(revision 155d1f806abbebb147dd13745bd9bd2d58f990e3)
+++ general/prog/gcc.xml	(revision 718593a75427a1f7379eec1062784f668aa38b3f)
@@ -39,5 +39,5 @@
     or for installing additional compilers.</para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <caution>
Index: general/prog/java.xml
===================================================================
--- general/prog/java.xml	(revision 155d1f806abbebb147dd13745bd9bd2d58f990e3)
+++ general/prog/java.xml	(revision 718593a75427a1f7379eec1062784f668aa38b3f)
@@ -82,5 +82,5 @@
     version.</para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Binary Package Information</bridgehead>
Index: general/prog/mercurial.xml
===================================================================
--- general/prog/mercurial.xml	(revision 155d1f806abbebb147dd13745bd9bd2d58f990e3)
+++ general/prog/mercurial.xml	(revision 718593a75427a1f7379eec1062784f668aa38b3f)
@@ -36,5 +36,5 @@
     Mozilla and Vim.</para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/openjdk.xml
===================================================================
--- general/prog/openjdk.xml	(revision 155d1f806abbebb147dd13745bd9bd2d58f990e3)
+++ general/prog/openjdk.xml	(revision 718593a75427a1f7379eec1062784f668aa38b3f)
@@ -83,5 +83,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <note>
Index: general/prog/php.xml
===================================================================
--- general/prog/php.xml	(revision 155d1f806abbebb147dd13745bd9bd2d58f990e3)
+++ general/prog/php.xml	(revision 718593a75427a1f7379eec1062784f668aa38b3f)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/ruby.xml
===================================================================
--- general/prog/ruby.xml	(revision 155d1f806abbebb147dd13745bd9bd2d58f990e3)
+++ general/prog/ruby.xml	(revision 718593a75427a1f7379eec1062784f668aa38b3f)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>