Index: connect/dhcp/dhcpcd/dhcpcd-exp.xml
===================================================================
--- connect/dhcp/dhcpcd/dhcpcd-exp.xml	(revision 52a46b3a46a6053176d195953f7c37175e9615bf)
+++ connect/dhcp/dhcpcd/dhcpcd-exp.xml	(revision 728425daf9891426150787fc78494b7646ad3ceb)
@@ -2,5 +2,5 @@
 <title>Command explanations</title>
 
-<para><command>patch -Np1 -i ../dhcpcd-&dhcpcd-version;-fhs.patch
+<para><command>patch -Np1 -i ../dhcpcd-&dhcpcd-version;-fhs-1.patch
 </command>: <application>Dhcpcd</application> unpatched puts all configuration 
 and temporary files in <filename>/etc/dhcpc</filename>. This becomes very 
Index: connect/dhcp/dhcpcd/dhcpcd-inst.xml
===================================================================
--- connect/dhcp/dhcpcd/dhcpcd-inst.xml	(revision 52a46b3a46a6053176d195953f7c37175e9615bf)
+++ connect/dhcp/dhcpcd/dhcpcd-inst.xml	(revision 728425daf9891426150787fc78494b7646ad3ceb)
@@ -5,5 +5,5 @@
 commands:</para>
 
-<screen><userinput><command>patch -Np1 -i ../dhcpcd-&dhcpcd-version;-fhs.patch &amp;&amp;
+<screen><userinput><command>patch -Np1 -i ../dhcpcd-&dhcpcd-version;-fhs-1.patch &amp;&amp;
 ./configure --prefix="" --sysconfdir=/var/lib \
 --mandir=/usr/share/man &amp;&amp;
Index: general/genutils/bc/bc-inst.xml
===================================================================
--- general/genutils/bc/bc-inst.xml	(revision 52a46b3a46a6053176d195953f7c37175e9615bf)
+++ general/genutils/bc/bc-inst.xml	(revision 728425daf9891426150787fc78494b7646ad3ceb)
@@ -4,6 +4,6 @@
 <para>Install <command>bc</command> by running the following commands:</para>
 
-<screen><userinput><command>patch -Np1 -i ../bc-1.06-flex-invocation.patch &amp;&amp;
-patch -Np1 -i ../bc-1.06-readline.patch &amp;&amp;
+<screen><userinput><command>patch -Np1 -i ../bc-1.06-flex_invocation-1.patch &amp;&amp;
+patch -Np1 -i ../bc-1.06-readline-1.patch &amp;&amp;
 ./configure --prefix=/usr --with-readline &amp;&amp;
 make &amp;&amp;
Index: general/genutils/bc/bc-intro.xml
===================================================================
--- general/genutils/bc/bc-intro.xml	(revision 52a46b3a46a6053176d195953f7c37175e9615bf)
+++ general/genutils/bc/bc-intro.xml	(revision 728425daf9891426150787fc78494b7646ad3ceb)
@@ -23,5 +23,5 @@
 url="&patch-root;/bc-1.06-flex_invocation-1.patch"/></para></listitem>
 <listitem><para>Required Patch: <ulink
-url="&patch-root;/bc-1.06-readline.patch"/></para></listitem>
+url="&patch-root;/bc-1.06-readline-1.patch"/></para></listitem>
 </itemizedlist></sect3>
                                                                                 
Index: postlfs/security/cracklib/cracklib-inst.xml
===================================================================
--- postlfs/security/cracklib/cracklib-inst.xml	(revision 52a46b3a46a6053176d195953f7c37175e9615bf)
+++ postlfs/security/cracklib/cracklib-inst.xml	(revision 728425daf9891426150787fc78494b7646ad3ceb)
@@ -20,10 +20,10 @@
 <para>Now apply BLFS patch:</para>
 
-<screen><userinput><command>patch -Np1 -i ../cracklib-&cracklib-version;-blfs-1.patch</command></userinput></screen>
+<screen><userinput><command>patch -Np1 -i ../cracklib,&cracklib-version;-blfs-1.patch</command></userinput></screen>
 
 <para>If necessary, apply the heimdal patch:</para>
 
 <screen><userinput><command>cp -R cracklib cracklib_krb5 &amp;&amp;
-patch -Np1 -i ../cracklib-&cracklib-version;-heimdal-1.patch</command></userinput></screen>
+patch -Np1 -i ../cracklib,&cracklib-version;-heimdal-1.patch</command></userinput></screen>
 
 <para>Finally install the package:</para>
Index: postlfs/shells/ash/ash-inst.xml
===================================================================
--- postlfs/shells/ash/ash-inst.xml	(revision 52a46b3a46a6053176d195953f7c37175e9615bf)
+++ postlfs/shells/ash/ash-inst.xml	(revision 728425daf9891426150787fc78494b7646ad3ceb)
@@ -4,5 +4,5 @@
 <para>Install <application>ASH</application> by running the following commands:</para>
 
-<screen><userinput><command>patch -Np1 -i ../ash-0.4.0-cumulative-fixes.patch &amp;&amp;
+<screen><userinput><command>patch -Np1 -i ../ash-0.4.0-cumulative_fixes-1.patch &amp;&amp;
 make &amp;&amp;
 install -m 755 sh /bin/ash &amp;&amp;