Index: general/genutils/genutils.xml
===================================================================
--- general/genutils/genutils.xml	(revision 30fd240416a69b86498a8c797d02b9506604687d)
+++ general/genutils/genutils.xml	(revision 740597c08d4b06b8960c72615372ccbba9872383)
@@ -32,4 +32,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="intltool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="iso-codes.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="lsof.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="pinentry.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="qtchooser.xml"/>
@@ -40,4 +41,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sharutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="tidy.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="unixodbc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xscreensaver.xml"/>
Index: general/genutils/lsof.xml
===================================================================
--- general/genutils/lsof.xml	(revision 740597c08d4b06b8960c72615372ccbba9872383)
+++ general/genutils/lsof.xml	(revision 740597c08d4b06b8960c72615372ccbba9872383)
@@ -0,0 +1,118 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+<!ENTITY lsof-download-http  " ">
+<!ENTITY lsof-download-ftp "ftp://sunsite.ualberta.ca/pub/Mirror/lsof/lsof_&lsof-version;.tar.bz2">
+<!ENTITY lsof-md5sum        "80e2a76d0e05826db910ec88e631296c">
+<!ENTITY lsof-size          "756 KB">
+<!ENTITY lsof-buildsize     "9.6 MB">
+<!ENTITY lsof-time          "less than 0.1 SBU">
+]>
+
+<sect1 id="lsof" xreflabel="lsof-&lsof-version;">
+  <?dbhtml filename="lsof.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>lsof-&lsof-version;</title>
+
+  <indexterm zone="lsof">
+    <primary sortas="a-lsof">lsof</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to lsof</title>
+
+    <para>The <application>lsof</application> package is useful to LiSt Open
+    Files for a given running application or process.</para>
+
+    &lfs74_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&lsof-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&lsof-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &lsof-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &lsof-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &lsof-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &lsof-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/lsof"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of lsof</title>
+
+    <para>Install <application>lsof</application> by running the following
+    commands:</para>
+
+<screen><userinput>tar xf lsof_&lsof-version;.tar       &amp;&amp;
+cd lsof_&lsof-version;               &amp;&amp;
+yes n |./Configure linux   &amp;&amp;
+make CFGL="-L./lib -ltirpc"</userinput></screen>
+
+    <para>This package does not come with a working test suite.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>install -v -m0755 -o root -g root lsof /usr/bin &amp;&amp;
+install -v lsof.8 /usr/share/man/man8</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>lsof</seg>
+        <seg>None</seg>
+        <seg>None</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="lsof-app">
+        <term><command>lsof</command></term>
+        <listitem>
+          <para>lists open files for running processes.</para>
+          <indexterm zone="lsof lsof-app">
+            <primary sortas="b-lsof">lsof</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: general/genutils/tree.xml
===================================================================
--- general/genutils/tree.xml	(revision 740597c08d4b06b8960c72615372ccbba9872383)
+++ general/genutils/tree.xml	(revision 740597c08d4b06b8960c72615372ccbba9872383)
@@ -0,0 +1,115 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+<!ENTITY tree-download-http "http://mama.indstate.edu/users/ice/tree/src/tree-&tree-version;.tgz">
+<!ENTITY tree-download-ftp  "ftp://mama.indstate.edu/linux/tree/tree-&tree-version;.tgz">
+<!ENTITY tree-md5sum        "04e967a3f4108d50cde3b4b0e89e970a">
+<!ENTITY tree-size          "44 KB">
+<!ENTITY tree-buildsize     "436 KB">
+<!ENTITY tree-time          "less than 0.1 SBU">
+]>
+
+<sect1 id="tree" xreflabel="tree-&tree-version;">
+  <?dbhtml filename="tree.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>tree-&tree-version;</title>
+
+  <indexterm zone="tree">
+    <primary sortas="a-tree">tree</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to tree</title>
+
+    <para>The <application>tree</application> application, as the name suggests,
+    is useful to display, in a terminal, directory contents, including
+    directories, files, links.</para>
+
+    &lfs74_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&tree-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&tree-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &tree-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &tree-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &tree-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &tree-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/tree"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of tree</title>
+
+    <para>Install <application>tree</application> by running the following
+    commands:</para>
+
+<screen><userinput>make</userinput></screen>
+
+    <para>This package does not come with a test suite.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>tree</seg>
+        <seg>None</seg>
+        <seg>None</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="tree-app">
+        <term><command>tree</command></term>
+        <listitem>
+          <para>displays a directory tree in a terminal.</para>
+          <indexterm zone="tree tree-app">
+            <primary sortas="b-tree">tree</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>