Index: general/genlib/grantlee.xml
===================================================================
--- general/genlib/grantlee.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ general/genlib/grantlee.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/qca.xml
===================================================================
--- general/genlib/qca.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ general/genlib/qca.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/poppler.xml
===================================================================
--- general/graphlib/poppler.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ general/graphlib/poppler.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -44,5 +44,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/qpdf.xml
===================================================================
--- general/graphlib/qpdf.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ general/graphlib/qpdf.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/qrencode.xml
===================================================================
--- general/graphlib/qrencode.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ general/graphlib/qrencode.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/pycairo.xml
===================================================================
--- general/prog/pycairo.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ general/prog/pycairo.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -30,5 +30,5 @@
       </para>
 
-      &lfs110_checked;
+      &lfs110a_checked;
       <!-- Does not use gcc -->
 
Index: general/prog/pygobject3.xml
===================================================================
--- general/prog/pygobject3.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ general/prog/pygobject3.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -33,5 +33,5 @@
       </para>
 
-      &lfs110_checked;
+      &lfs110a_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/sysprof.xml
===================================================================
--- general/prog/sysprof.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ general/prog/sysprof.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/upower.xml
===================================================================
--- general/sysutils/upower.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ general/sysutils/upower.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/ark5.xml
===================================================================
--- kde/kf5-apps/ark5.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ kde/kf5-apps/ark5.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/gwenview.xml
===================================================================
--- kde/kf5-apps/gwenview.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ kde/kf5-apps/gwenview.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/k3b.xml
===================================================================
--- kde/kf5-apps/k3b.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ kde/kf5-apps/k3b.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -53,5 +53,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/kdenlive5.xml
===================================================================
--- kde/kf5-apps/kdenlive5.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ kde/kf5-apps/kdenlive5.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/khelpcenter.xml
===================================================================
--- kde/kf5-apps/khelpcenter.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ kde/kf5-apps/khelpcenter.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/kmix5.xml
===================================================================
--- kde/kf5-apps/kmix5.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ kde/kf5-apps/kmix5.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/konsole5.xml
===================================================================
--- kde/kf5-apps/konsole5.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ kde/kf5-apps/konsole5.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/libkdcraw.xml
===================================================================
--- kde/kf5-apps/libkdcraw.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ kde/kf5-apps/libkdcraw.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/libkexiv2.xml
===================================================================
--- kde/kf5-apps/libkexiv2.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ kde/kf5-apps/libkexiv2.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/okular5.xml
===================================================================
--- kde/kf5-apps/okular5.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ kde/kf5-apps/okular5.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5/kf5-frameworks.xml
===================================================================
--- kde/kf5/kf5-frameworks.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ kde/kf5/kf5-frameworks.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -33,5 +33,5 @@
   </para>
 
-  &lfs110_checked;
+  &lfs110a_checked;
 
   <para>
Index: kde/libdbusmenuqt.xml
===================================================================
--- kde/libdbusmenuqt.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ kde/libdbusmenuqt.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/phonon-backend-gstreamer.xml
===================================================================
--- kde/phonon-backend-gstreamer.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ kde/phonon-backend-gstreamer.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/phonon-backend-vlc.xml
===================================================================
--- kde/phonon-backend-vlc.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ kde/phonon-backend-vlc.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/phonon.xml
===================================================================
--- kde/phonon.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ kde/phonon.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/plasma-wayland-protocols.xml
===================================================================
--- kde/plasma-wayland-protocols.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ kde/plasma-wayland-protocols.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -33,5 +33,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/plasma5/plasma-all.xml
===================================================================
--- kde/plasma5/plasma-all.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ kde/plasma5/plasma-all.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -31,5 +31,5 @@
   </para>
 
-  &lfs110_checked;
+  &lfs110a_checked;
 
   <para>
Index: kde/polkit-qt.xml
===================================================================
--- kde/polkit-qt.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ kde/polkit-qt.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/audioutils/kwave.xml
===================================================================
--- multimedia/audioutils/kwave.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ multimedia/audioutils/kwave.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/pulseaudio.xml
===================================================================
--- multimedia/libdriv/pulseaudio.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ multimedia/libdriv/pulseaudio.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/videoutils/vlc.xml
===================================================================
--- multimedia/videoutils/vlc.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ multimedia/videoutils/vlc.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/editors/kate5.xml
===================================================================
--- postlfs/editors/kate5.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ postlfs/editors/kate5.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -33,5 +33,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/gnupg2.xml
===================================================================
--- postlfs/security/gnupg2.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ postlfs/security/gnupg2.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/iptables.xml
===================================================================
--- postlfs/security/iptables.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ postlfs/security/iptables.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/virtualization/qemu.xml
===================================================================
--- postlfs/virtualization/qemu.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ postlfs/virtualization/qemu.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: pst/printing/gs.xml
===================================================================
--- pst/printing/gs.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ pst/printing/gs.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -48,5 +48,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: pst/ps/mupdf.xml
===================================================================
--- pst/ps/mupdf.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ pst/ps/mupdf.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: server/databases/lmdb.xml
===================================================================
--- server/databases/lmdb.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ server/databases/lmdb.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/icons/breeze-icons.xml
===================================================================
--- x/icons/breeze-icons.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ x/icons/breeze-icons.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/icons/oxygen-icons5.xml
===================================================================
--- x/icons/oxygen-icons5.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ x/icons/oxygen-icons5.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-util-cursor.xml
===================================================================
--- x/installing/xcb-util-cursor.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ x/installing/xcb-util-cursor.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/atkmm.xml
===================================================================
--- x/lib/atkmm.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ x/lib/atkmm.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/cairomm-1.0.xml
===================================================================
--- x/lib/cairomm-1.0.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ x/lib/cairomm-1.0.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/gtkmm2.xml
===================================================================
--- x/lib/gtkmm2.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ x/lib/gtkmm2.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/pangomm.xml
===================================================================
--- x/lib/pangomm.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ x/lib/pangomm.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/qt5.xml
===================================================================
--- x/lib/qt5.xml	(revision 779b3223f9e3559db214a689e26c5e61d30c5b8e)
+++ x/lib/qt5.xml	(revision 740784badb01b5c99c7799bc9008486b1b3d63bb)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>