Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision fc8b669891969361d5d0c21ddca251b28616442a)
+++ introduction/welcome/changelog.xml	(revision 755648d38367b105417544c17e77f6241da4d647)
@@ -48,4 +48,16 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to mpg123-1.23.7. Fixes
+          <ulink url="&blfs-ticket-root;8353">#8353</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libass-0.13.3. Fixes
+          <ulink url="&blfs-ticket-root;8352">#8352</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to dash-0.5.9.1. Fixes
+          <ulink url="&blfs-ticket-root;8350">#8350</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[ken] - Commented perl modules Unicode::Collate and
           Unicode::Normalize, the versions in core perl are good
Index: multimedia/audioutils/mpg123.xml
===================================================================
--- multimedia/audioutils/mpg123.xml	(revision fc8b669891969361d5d0c21ddca251b28616442a)
+++ multimedia/audioutils/mpg123.xml	(revision 755648d38367b105417544c17e77f6241da4d647)
@@ -7,7 +7,7 @@
   <!ENTITY mpg123-download-http "&sourceforge-repo;/mpg123/mpg123-&mpg123-version;.tar.bz2">
   <!ENTITY mpg123-download-ftp  " ">
-  <!ENTITY mpg123-md5sum        "ed22a3e664f076fa05131a3454ef8166">
+  <!ENTITY mpg123-md5sum        "094236080f5ab213a2aa606df880af8c">
   <!ENTITY mpg123-size          "876 KB">
-  <!ENTITY mpg123-buildsize     "13 MB">
+  <!ENTITY mpg123-buildsize     "12 MB">
   <!ENTITY mpg123-time          "0.2 SBU">
 ]>
Index: multimedia/libdriv/libass.xml
===================================================================
--- multimedia/libdriv/libass.xml	(revision fc8b669891969361d5d0c21ddca251b28616442a)
+++ multimedia/libdriv/libass.xml	(revision 755648d38367b105417544c17e77f6241da4d647)
@@ -7,7 +7,7 @@
   <!ENTITY libass-download-http "https://github.com/libass/libass/releases/download/&libass-version;/libass-&libass-version;.tar.xz">
   <!ENTITY libass-download-ftp  " ">
-  <!ENTITY libass-md5sum        "1c8cbd5751aeb192bda04a65d0464fd9">
+  <!ENTITY libass-md5sum        "2369db9dafeee94b0e55bc99faa2a5d1">
   <!ENTITY libass-size          "344 KB">
-  <!ENTITY libass-buildsize     "6.3 MB">
+  <!ENTITY libass-buildsize     "5.1 MB">
   <!ENTITY libass-time          "0.1 SBU">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision fc8b669891969361d5d0c21ddca251b28616442a)
+++ packages.ent	(revision 755648d38367b105417544c17e77f6241da4d647)
@@ -67,5 +67,5 @@
 
 <!-- Chapter 7 -->
-<!ENTITY dash-version                 "0.5.9">
+<!ENTITY dash-version                 "0.5.9.1">
 <!ENTITY tcsh-version                 "6.19.00">
 <!ENTITY zsh-version                  "5.2">
@@ -734,5 +734,5 @@
 <!ENTITY liba52-version               "0.7.4">
 <!ENTITY libao-version                "1.2.0">
-<!ENTITY libass-version               "0.13.2">
+<!ENTITY libass-version               "0.13.3">
 <!ENTITY libcanberra-version          "0.30">
 <!ENTITY libcddb-version              "1.3.2">
@@ -779,5 +779,5 @@
 
 <!-- Chapter 47 -->
-<!ENTITY mpg123-version               "1.23.6">
+<!ENTITY mpg123-version               "1.23.7">
 <!ENTITY vorbistools-version          "1.4.0">
 <!ENTITY lame-version                 "3.99.5">
Index: postlfs/shells/dash.xml
===================================================================
--- postlfs/shells/dash.xml	(revision fc8b669891969361d5d0c21ddca251b28616442a)
+++ postlfs/shells/dash.xml	(revision 755648d38367b105417544c17e77f6241da4d647)
@@ -7,7 +7,7 @@
   <!ENTITY dash-download-http "http://gondor.apana.org.au/~herbert/dash/files/dash-&dash-version;.tar.gz">
   <!ENTITY dash-download-ftp  " ">
-  <!ENTITY dash-md5sum        "57341c24c3ebd3d5fc3a863001c94be6">
+  <!ENTITY dash-md5sum        "6472702a8d9760d166ef8333dcb527a6">
   <!ENTITY dash-size          "220 KB">
-  <!ENTITY dash-buildsize     "3.0 MB">
+  <!ENTITY dash-buildsize     "2.8 MB">
   <!ENTITY dash-time          "less than 0.1 SBU">
 ]>