Index: general/prog/python-modules.xml
===================================================================
--- general/prog/python-modules.xml	(revision 414392c2fe8b5e89ae19e8a4daf2da53d659d03c)
+++ general/prog/python-modules.xml	(revision 780294af9d9e73d196c164adaec30daf65b91532)
@@ -19,24 +19,24 @@
   <!ENTITY pycairo-time          "0.1 SBU">
 
-  <!ENTITY pygobject-download-http "&gnome-download-http;/pygobject/2.20/pygobject-&pygobject-version;.tar.bz2">
-  <!ENTITY pygobject-download-ftp  "&gnome-download-ftp;/pygobject/2.20/pygobject-&pygobject-version;.tar.bz2">
-  <!ENTITY pygobject-md5sum        "10e1fb79be3d698476a28b1e1b0c5640">
-  <!ENTITY pygobject-size          "651 KB">
-  <!ENTITY pygobject-buildsize     "16 MB">
+  <!ENTITY pygobject-download-http "&gnome-download-http;/pygobject/2.21/pygobject-&pygobject-version;.tar.bz2">
+  <!ENTITY pygobject-download-ftp  "&gnome-download-ftp;/pygobject/2.21/pygobject-&pygobject-version;.tar.bz2">
+  <!ENTITY pygobject-md5sum        "6449457fba101ae875c8e30691535046">
+  <!ENTITY pygobject-size          "667 KB">
+  <!ENTITY pygobject-buildsize     "17 MB">
   <!ENTITY pygobject-time          "0.2 SBU">
 
-  <!ENTITY pygtk-download-http "&gnome-download-http;/pygtk/2.16/pygtk-&pygtk-version;.tar.bz2">
-  <!ENTITY pygtk-download-ftp  "&gnome-download-ftp;/pygtk/2.16/pygtk-&pygtk-version;.tar.bz2">
-  <!ENTITY pygtk-md5sum        "bd0d437fefd6d5390f5d770a495cd50c">
-  <!ENTITY pygtk-size          "2.1 MB">
-  <!ENTITY pygtk-buildsize     "64 MB">
+  <!ENTITY pygtk-download-http "&gnome-download-http;/pygtk/2.17/pygtk-&pygtk-version;.tar.bz2">
+  <!ENTITY pygtk-download-ftp  "&gnome-download-ftp;/pygtk/2.17/pygtk-&pygtk-version;.tar.bz2">
+  <!ENTITY pygtk-md5sum        "43d704343d7ca04a6e4ddd4fa73a3c55">
+  <!ENTITY pygtk-size          "2.2 MB">
+  <!ENTITY pygtk-buildsize     "65 MB">
   <!ENTITY pygtk-time          "0.7 SBU">
 
-  <!ENTITY pygtksourceview-download-http "&gnome-download-http;/pygtksourceview/2.8/pygtksourceview-&pygtksourceview-version;.tar.bz2">
-  <!ENTITY pygtksourceview-download-ftp  "&gnome-download-ftp;/pygtksourceview/2.8/pygtksourceview-&pygtksourceview-version;.tar.bz2">
-  <!ENTITY pygtksourceview-md5sum        "bc344044113a52026b4eb7e433a24c29">
-  <!ENTITY pygtksourceview-size          "263 KB">
-  <!ENTITY pygtksourceview-buildsize     "4 MB">
-  <!ENTITY pygtksourceview-time          "0.1 SBU">
+  <!ENTITY pygtksourceview-download-http "&gnome-download-http;/pygtksourceview/2.10/pygtksourceview-&pygtksourceview-version;.tar.bz2">
+  <!ENTITY pygtksourceview-download-ftp  "&gnome-download-ftp;/pygtksourceview/2.10/pygtksourceview-&pygtksourceview-version;.tar.bz2">
+  <!ENTITY pygtksourceview-md5sum        "2654354d61422fb79d8375fc3a3b5393">
+  <!ENTITY pygtksourceview-size          "283 KB">
+  <!ENTITY pygtksourceview-buildsize     "5 MB">
+  <!ENTITY pygtksourceview-time          "0.4 SBU">
 
 
@@ -48,8 +48,8 @@
   <!ENTITY pyorbit-time          "0.1 SBU">
 
-  <!ENTITY gnome-python-download-http "&gnome-download-http;/gnome-python/&gnome-version;/gnome-python-&gnome-python-version;.tar.bz2">
-  <!ENTITY gnome-python-download-ftp  "&gnome-download-ftp;/gnome-python/&gnome-version;/gnome-python-&gnome-python-version;.tar.bz2">
-  <!ENTITY gnome-python-md5sum        "b627abbb0ed912e221cc072e3dd6f9d6">
-  <!ENTITY gnome-python-size          "548 KB">
+  <!ENTITY gnome-python-download-http "&gnome-download-http;/gnome-python/2.28/gnome-python-&gnome-python-version;.tar.bz2">
+  <!ENTITY gnome-python-download-ftp  "&gnome-download-ftp;/gnome-python/2.28/gnome-python-&gnome-python-version;.tar.bz2">
+  <!ENTITY gnome-python-md5sum        "a17ad952813ed86f520de8e07194a2bf">
+  <!ENTITY gnome-python-size          "549 KB">
   <!ENTITY gnome-python-buildsize     "12 MB">
   <!ENTITY gnome-python-time          "0.3 SBU">
@@ -425,8 +425,11 @@
 
         <seglistitem>
-          <seg>None</seg>
-          <seg>PyGObject Python library module</seg>
-          <seg>/usr/include/pygtk-2.0, /usr/share/pygobject and
-          /usr/lib/python&python-majorver;/site-packages/gtk-2.0</seg>
+          <seg>pygobject-codegen-2.0</seg>
+          <seg>libpyglib-2.0-python.so, _gio.so, unix.so, _glib.so, and
+          _gobject.so</seg>
+          <seg>/usr/{include/pygtk-2.0,
+          lib/python&python-majorver;/site-packages/gtk-2.0/{gio,glib,gobject},
+          share/{gtk-doc/html/pygobject,pygobject/{2.0/{codegen,defs},
+          xsl}}}</seg>
         </seglistitem>
       </segmentedlist>
@@ -547,8 +550,10 @@
 
         <seglistitem>
-          <seg>pygtk-codegen-2.0 and pygtk-demo</seg>
-          <seg>PyGTK Python library modules</seg>
-          <seg>/usr/lib/pygtk, /usr/share/pygtk and
-          /usr/lib/python&python-majorver;/site-packages/gtk-2.0</seg>
+          <seg>pygtk-codegen-2.0</seg>
+          <seg>atk.so, _gtk.so, glade.so, gtkunixprint.so, pango.so, and
+          pangocairo.so</seg>
+          <seg>/usr/{include/pygtk-2.0/pygtk,lib/{pygtk/2.0/demos/images,
+          python&python-majorver;/site-packages/gtk-2.0/gtk},
+          share/{gtk-doc/html/pygtk/{cursors,icons,images},pygtk/2.0/defs}}</seg>
         </seglistitem>
       </segmentedlist>
@@ -886,6 +891,10 @@
         <seglistitem>
           <seg>None</seg>
-          <seg>Gnome-Python library modules</seg>
-          <seg>/usr/include/gnome-python-2.0</seg>
+          <seg>libpythonmethod.so, _bonobo.so, activation.so, ui.so, gconf.so,
+          _gnome.so, ui.so, gnomecanvas.so, _gnomevfs.so, and
+          gnomevfsbonobo.so</seg>
+          <seg>/usr/{include/gnome-python-2.0,
+          lib/python&python-majorver;/site-packages/gtk-2.0/{bonobo,gnomevfs},
+          share/{gtk-doc/html/pygnomevfs,pygtk/2.0/argtypes}}</seg>
         </seglistitem>
       </segmentedlist>