Index: gnome.ent
===================================================================
--- gnome.ent	(revision 731bf37aed532828b71618f7ca416891256b0699)
+++ gnome.ent	(revision 781824ec059ab934729b3258082a525f6053c563)
@@ -37,18 +37,18 @@
 <!ENTITY libgdata-version                  "0.17.9">
 <!ENTITY libgee-version                    "0.20.1">
-<!ENTITY libgtop-version                   "2.38.0">
-<!ENTITY libgweather-version               "3.28.2">
+<!ENTITY libgtop-version                   "2.40.0">
+<!ENTITY libgweather-version               "3.32.1">
 <!ENTITY libpeas-version                   "1.22.0">
 <!ENTITY libwnck-version                   "3.30.0">
-<!ENTITY evolution-data-server-version     "3.30.5">
+<!ENTITY evolution-data-server-version     "3.32.0">
 <!ENTITY folks-version                     "0.11.4">
 <!ENTITY gfbgraph-version                  "0.2.3">
-<!ENTITY tracker-version                   "2.2.0">
+<!ENTITY tracker-version                   "2.2.1">
 
 <!-- Runtime (sysv) and Desktop (systemd) -->
 <!--<!ENTITY caribou-version                   "0.4.21">-->
-<!ENTITY dconf-version                     "0.30.1">
-<!ENTITY dconf-editor-version              "3.30.2">
-<!ENTITY gnome-backgrounds-version         "3.30.0">
+<!ENTITY dconf-version                     "0.32.0">
+<!ENTITY dconf-editor-version              "3.32.0">
+<!ENTITY gnome-backgrounds-version         "3.32.0">
 <!ENTITY gvfs-version                      "1.38.1">
 <!ENTITY gexiv2-version                    "0.12.0">
Index: gnome/platform/dconf.xml
===================================================================
--- gnome/platform/dconf.xml	(revision 731bf37aed532828b71618f7ca416891256b0699)
+++ gnome/platform/dconf.xml	(revision 781824ec059ab934729b3258082a525f6053c563)
@@ -6,18 +6,18 @@
 
 <!-- DConf -->
-  <!ENTITY dconf-download-http "&gnome-download-http;/dconf/0.30/dconf-&dconf-version;.tar.xz">
-  <!ENTITY dconf-download-ftp  "&gnome-download-ftp;/dconf/0.30/dconf-&dconf-version;.tar.xz">
-  <!ENTITY dconf-md5sum        "a959eef51c917b3c57cfbef1448a375e">
-  <!ENTITY dconf-size          "104 KB">
-  <!ENTITY dconf-buildsize     "6.8 MB">
-  <!ENTITY dconf-time          "less than 0.1 SBU">
+  <!ENTITY dconf-download-http "&gnome-download-http;/dconf/0.32/dconf-&dconf-version;.tar.xz">
+  <!ENTITY dconf-download-ftp  "&gnome-download-ftp;/dconf/0.32/dconf-&dconf-version;.tar.xz">
+  <!ENTITY dconf-md5sum        "e1ac0b6285abefeed69ca9e380e44f5a">
+  <!ENTITY dconf-size          "112 KB">
+  <!ENTITY dconf-buildsize     "7.2 MB">
+  <!ENTITY dconf-time          "0.1 SBU">
 
 <!-- DConf-Editor -->
-  <!ENTITY dconf-editor-download-http "&gnome-download-http;/dconf-editor/&gnome-minor-30;/dconf-editor-&dconf-editor-version;.tar.xz">
-  <!ENTITY dconf-editor-download-ftp  "&gnome-download-ftp;/dconf-editor/&gnome-minor-30;/dconf-editor-&dconf-editor-version;.tar.xz">
-  <!ENTITY dconf-editor-md5sum        "5db3d67478c198504167143e069ebab9">
-  <!ENTITY dconf-editor-size          "440 KB">
-  <!ENTITY dconf-editor-buildsize     "22 MB">
-  <!ENTITY dconf-editor-time          "0.1 SBU">
+  <!ENTITY dconf-editor-download-http "&gnome-download-http;/dconf-editor/&gnome-minor-32;/dconf-editor-&dconf-editor-version;.tar.xz">
+  <!ENTITY dconf-editor-download-ftp  "&gnome-download-ftp;/dconf-editor/&gnome-minor-32;/dconf-editor-&dconf-editor-version;.tar.xz">
+  <!ENTITY dconf-editor-md5sum        "331a3603c0f8a9913e3a3c0f178b5310">
+  <!ENTITY dconf-editor-size          "512 KB">
+  <!ENTITY dconf-editor-buildsize     "34 MB">
+  <!ENTITY dconf-editor-time          "0.2 SBU">
 ]>
 
@@ -166,5 +166,5 @@
 
     <para>
-      This package does not come with a test suite.
+      To test the results, issue: <command>ninja test</command>
     </para>
 
@@ -173,8 +173,5 @@
     </para>
 
-<screen role="root"><userinput>ninja install &amp;&amp;
-cp gsettings/libdconfsettings.so /usr/lib/gio/modules/</userinput></screen>
-
-<!-- The meson install procedure does not install libdconfsettings.so -->
+<screen role="root"><userinput>ninja install</userinput></screen>
 
     <para>Now, optionally install the editor:</para>
Index: gnome/platform/evolution-data-server.xml
===================================================================
--- gnome/platform/evolution-data-server.xml	(revision 731bf37aed532828b71618f7ca416891256b0699)
+++ gnome/platform/evolution-data-server.xml	(revision 781824ec059ab934729b3258082a525f6053c563)
@@ -6,11 +6,11 @@
 
   <!ENTITY evolution-data-server-download-http
-           "&gnome-download-http;/evolution-data-server/&gnome-minor-30;/evolution-data-server-&evolution-data-server-version;.tar.xz">
+           "&gnome-download-http;/evolution-data-server/&gnome-minor-32;/evolution-data-server-&evolution-data-server-version;.tar.xz">
   <!ENTITY evolution-data-server-download-ftp
-           "&gnome-download-ftp;/evolution-data-server/&gnome-minor-30;/evolution-data-server-&evolution-data-server-version;.tar.xz">
-  <!ENTITY evolution-data-server-md5sum        "f88813a66add068141530245d07e42c3">
-  <!ENTITY evolution-data-server-size          "4.4 MB">
-  <!ENTITY evolution-data-server-buildsize     "192 MB">
-  <!ENTITY evolution-data-server-time          "1.7 SBU">
+           "&gnome-download-ftp;/evolution-data-server/&gnome-minor-32;/evolution-data-server-&evolution-data-server-version;.tar.xz">
+  <!ENTITY evolution-data-server-md5sum        "c785172e5c5a9d5cabba731dbb05bc3b">
+  <!ENTITY evolution-data-server-size          "4.3 MB">
+  <!ENTITY evolution-data-server-buildsize     "194 MB">
+  <!ENTITY evolution-data-server-time          "1.9 SBU">
 ]>
 
@@ -105,9 +105,11 @@
       <xref linkend="gtk-doc"/>,
       <xref linkend="mitkrb"/>,
-      a <xref linkend="server-mail"/> (that provides a <command>sendmail</command> command),
+      a <xref linkend="server-mail"/> (that provides a <command>sendmail</command> command), and
       <xref linkend="openldap"/>,
-      <ulink url="https://gitlab.com/groups/accounts-sso">Accounts-SSO</ulink>,
+      <!--<ulink url="https://gitlab.com/groups/accounts-sso">Accounts-SSO</ulink>,
       <ulink url="https://github.com/google/google-authenticator/">Google Authenticator</ulink>, and
-      <ulink url="https://github.com/googlei18n/libphonenumber/">libphonenumber</ulink>
+      <ulink url="https://github.com/googlei18n/libphonenumber/">libphonenumber</ulink>-->
+      <!-- For the above commented entries - I can't seem to find references to
+      these in 3.32.0, so they've been commented.-->
     </para>
 
@@ -171,4 +173,5 @@
     -->
 
+    <!--
     <para>
       <parameter>-DENABLE_UOA=OFF</parameter>: This flag is used
@@ -177,4 +180,5 @@
       Remove it if you have installed Accounts-SSO.
     </para>
+    -->
 
     <para>
Index: gnome/platform/gnome-backgrounds.xml
===================================================================
--- gnome/platform/gnome-backgrounds.xml	(revision 731bf37aed532828b71618f7ca416891256b0699)
+++ gnome/platform/gnome-backgrounds.xml	(revision 781824ec059ab934729b3258082a525f6053c563)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-backgrounds-download-http
-           "&gnome-download-http;/gnome-backgrounds/&gnome-minor-30;/gnome-backgrounds-&gnome-backgrounds-version;.tar.xz">
+           "&gnome-download-http;/gnome-backgrounds/&gnome-minor-32;/gnome-backgrounds-&gnome-backgrounds-version;.tar.xz">
   <!ENTITY gnome-backgrounds-download-ftp
-           "&gnome-download-ftp;/gnome-backgrounds/&gnome-minor-30;/gnome-backgrounds-&gnome-backgrounds-version;.tar.xz">
-  <!ENTITY gnome-backgrounds-md5sum        "13ecd0e4bb4721a68310948e67dbaaaa">
-  <!ENTITY gnome-backgrounds-size          "26 MB">
-  <!ENTITY gnome-backgrounds-buildsize     "56 MB">
+           "&gnome-download-ftp;/gnome-backgrounds/&gnome-minor-32;/gnome-backgrounds-&gnome-backgrounds-version;.tar.xz">
+  <!ENTITY gnome-backgrounds-md5sum        "982fe9139e2a8692ec4a9e589247a3fe">
+  <!ENTITY gnome-backgrounds-size          "30 MB">
+  <!ENTITY gnome-backgrounds-buildsize     "65 MB">
   <!ENTITY gnome-backgrounds-time          "less than 0.1 SBU">
 ]>
Index: gnome/platform/libgdata.xml
===================================================================
--- gnome/platform/libgdata.xml	(revision 731bf37aed532828b71618f7ca416891256b0699)
+++ gnome/platform/libgdata.xml	(revision 781824ec059ab934729b3258082a525f6053c563)
@@ -79,4 +79,5 @@
       <xref linkend="liboauth"/>,
       <xref linkend="libsoup"/>,
+      <xref linkend="gnome-online-accounts"/>,
       <xref linkend="gtk3"/>,
       <xref linkend="json-glib"/>,
@@ -88,6 +89,5 @@
     <para role="recommended">
       <xref linkend="gcr"/>,
-      <xref linkend="git"/>,
-      <xref linkend="gnome-online-accounts"/>, and
+      <xref linkend="git"/>, and
       <xref linkend="gobject-introspection"/>
     </para>
Index: gnome/platform/libgtop.xml
===================================================================
--- gnome/platform/libgtop.xml	(revision 731bf37aed532828b71618f7ca416891256b0699)
+++ gnome/platform/libgtop.xml	(revision 781824ec059ab934729b3258082a525f6053c563)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY libgtop-download-http "&gnome-download-http;/libgtop/2.38/libgtop-&libgtop-version;.tar.xz">
-  <!ENTITY libgtop-download-ftp  "&gnome-download-ftp;/libgtop/2.38/libgtop-&libgtop-version;.tar.xz">
-  <!ENTITY libgtop-md5sum        "bb0ce7de6b28694b40405eedac8a31b5">
-  <!ENTITY libgtop-size          "720 KB">
-  <!ENTITY libgtop-buildsize     "19 MB">
+  <!ENTITY libgtop-download-http "&gnome-download-http;/libgtop/2.40/libgtop-&libgtop-version;.tar.xz">
+  <!ENTITY libgtop-download-ftp  "&gnome-download-ftp;/libgtop/2.40/libgtop-&libgtop-version;.tar.xz">
+  <!ENTITY libgtop-md5sum        "c6d67325cd97b2208b41e07e6cc7b947">
+  <!ENTITY libgtop-size          "728 KB">
+  <!ENTITY libgtop-buildsize     "20 MB">
   <!ENTITY libgtop-time          "0.2 SBU">
 ]>
@@ -138,5 +138,5 @@
       <seglistitem>
         <seg>
-          None
+          libgtop_daemon2 and libgtop_server2
         </seg>
         <seg>
Index: gnome/platform/libgweather.xml
===================================================================
--- gnome/platform/libgweather.xml	(revision 731bf37aed532828b71618f7ca416891256b0699)
+++ gnome/platform/libgweather.xml	(revision 781824ec059ab934729b3258082a525f6053c563)
@@ -6,10 +6,10 @@
 
   <!ENTITY libgweather-download-http
-           "&gnome-download-http;/libgweather/&gnome-minor-28;/libgweather-&libgweather-version;.tar.xz">
+           "&gnome-download-http;/libgweather/&gnome-minor-32;/libgweather-&libgweather-version;.tar.xz">
   <!ENTITY libgweather-download-ftp
-           "&gnome-download-ftp;/libgweather/&gnome-minor-28;/libgweather-&libgweather-version;.tar.xz">
-  <!ENTITY libgweather-md5sum        "4f8771fedc83bd1c7594c5aa7f21dedb">
+           "&gnome-download-ftp;/libgweather/&gnome-minor-32;/libgweather-&libgweather-version;.tar.xz">
+  <!ENTITY libgweather-md5sum        "048de183cbeaf7353a875cb5ebd9b4f9">
   <!ENTITY libgweather-size          "2.6 MB">
-  <!ENTITY libgweather-buildsize     "91 MB">
+  <!ENTITY libgweather-buildsize     "92 MB">
   <!ENTITY libgweather-time          "0.1 SBU">
 ]>
Index: gnome/platform/tracker.xml
===================================================================
--- gnome/platform/tracker.xml	(revision 731bf37aed532828b71618f7ca416891256b0699)
+++ gnome/platform/tracker.xml	(revision 781824ec059ab934729b3258082a525f6053c563)
@@ -9,8 +9,8 @@
   <!ENTITY tracker-download-ftp
            "&gnome-download-ftp;/tracker/2.2/tracker-&tracker-version;.tar.xz">
-  <!ENTITY tracker-md5sum        "e4c637cbc1aa2f4d03e09c8e6b318d6d">
+  <!ENTITY tracker-md5sum        "fe9abb3ea46a250023d23fa3adbf65ab">
   <!ENTITY tracker-size          "2.7 MB">
-  <!ENTITY tracker-buildsize     "211 MB (with tests)">
-  <!ENTITY tracker-time          "1.0 SBU (with tests)">
+  <!ENTITY tracker-buildsize     "210 MB (with tests)">
+  <!ENTITY tracker-time          "1.4 SBU (with tests)">
 ]>
 
@@ -94,7 +94,7 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="gtk-doc"/>,
-      <xref linkend="python2"/> (for the <quote>functional</quote> tests), and
-      <ulink url="https://github.com/snowballstem/snowball/">Snowball</ulink>
+      <xref linkend="gtk-doc"/> and
+      <ulink url="https://github.com/snowballstem/snowball/">libstemmer</ulink>
+      <!-- Python2 used to be a dependency until 2.2.1 -->
     </para>
 
@@ -120,6 +120,6 @@
     <para>
       To test the results, issue: <command>ninja test</command>. The tests
-      should be run from a graphical session. Several tests may output an error
-      due to the Python 2 module for PyGObject3 not being available.
+      should be run from a graphical session. Six tests may fail on some
+      systems and configurations.
     </para>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 731bf37aed532828b71618f7ca416891256b0699)
+++ introduction/welcome/changelog.xml	(revision 781824ec059ab934729b3258082a525f6053c563)
@@ -45,4 +45,32 @@
       <para>March 27th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to libgtop-2.40.0. Part of
+          <ulink url="&blfs-ticket-root;11775">#11775</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to libgweather-3.32.1. Part of
+          <ulink url="&blfs-ticket-root;11775">#11775</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to evolution-data-server-3.32.0. Part of
+          <ulink url="&blfs-ticket-root;11775">#11775</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to tracker-2.2.1. Part of
+          <ulink url="&blfs-ticket-root;11775">#11775</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to dconf-0.32.0. Part of
+          <ulink url="&blfs-ticket-root;11775">#11775</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to dconf-editor-3.32.0. Part of
+          <ulink url="&blfs-ticket-root;11775">#11775</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to gnome-backgrounds-3.32.0. Part of
+          <ulink url="&blfs-ticket-root;11775">#11775</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to lxml-4.3.3 (python module). Fixes