Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision dda8ca62a85095b9ec68686e4d5b6e972260165a)
+++ introduction/welcome/changelog.xml	(revision 0791109ef614fa91c6fcd38e20ec8237e426ddc9)
@@ -47,4 +47,12 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to cups-filters-1.28.9. Fixes
+          <ulink url="&blfs-ticket-root;15191">#15191</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bind-9.16.18. Fixes
+          <ulink url="&blfs-ticket-root;15193">#15193</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[renodr] - Update to node-v14.17.1. Fixes
           <ulink url="&blfs-ticket-root;15187">#15187</ulink>.</para>
Index: networking/netutils/bind-utils.xml
===================================================================
--- networking/netutils/bind-utils.xml	(revision dda8ca62a85095b9ec68686e4d5b6e972260165a)
+++ networking/netutils/bind-utils.xml	(revision 0791109ef614fa91c6fcd38e20ec8237e426ddc9)
@@ -7,8 +7,8 @@
   <!ENTITY bind-download-http   " ">
   <!ENTITY bind-download-ftp    "ftp://ftp.isc.org/isc/bind9/&bind-version;/bind-&bind-version;.tar.xz">
-  <!ENTITY bind-md5sum          "45760cd0c8792baf467d21d639a60580">
+  <!ENTITY bind-md5sum          "76754e02c5182e1477b6c688e7432cb6">
   <!ENTITY bind-size            "4.8 MB">
-  <!ENTITY bind-utils-buildsize "116 MB">
-  <!ENTITY bind-utils-time      "0.5 SBU">
+  <!ENTITY bind-utils-buildsize "105 MB">
+  <!ENTITY bind-utils-time      "0.6 SBU">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision dda8ca62a85095b9ec68686e4d5b6e972260165a)
+++ packages.ent	(revision 0791109ef614fa91c6fcd38e20ec8237e426ddc9)
@@ -604,5 +604,5 @@
 <!ENTITY avahi-version                "0.8">
 <!ENTITY bind-minor-version           "9.16">
-<!ENTITY bind-version                 "&bind-minor-version;.16">
+<!ENTITY bind-version                 "&bind-minor-version;.18">
 <!ENTITY mod_dnssd-version            "0.6">
 <!ENTITY NetworkManager-minor         "1.30">
@@ -1056,5 +1056,5 @@
 <!-- Chapter 46 -->
 <!ENTITY cups-version                 "2.3.3op2">
-<!ENTITY cups-filters-version         "1.28.8">
+<!ENTITY cups-filters-version         "1.28.9">
 <!ENTITY gs-version                   "9.54.0">
 <!ENTITY gs-packver                   "9540">
Index: pst/printing/cups-filters.xml
===================================================================
--- pst/printing/cups-filters.xml	(revision dda8ca62a85095b9ec68686e4d5b6e972260165a)
+++ pst/printing/cups-filters.xml	(revision 0791109ef614fa91c6fcd38e20ec8237e426ddc9)
@@ -8,7 +8,7 @@
   "https://www.openprinting.org/download/cups-filters/cups-filters-&cups-filters-version;.tar.xz">
   <!ENTITY cups-filters-download-ftp  " ">
-  <!ENTITY cups-filters-md5sum        "914fb53d31ff8500dc25d2e2c68ca5c1">
+  <!ENTITY cups-filters-md5sum        "1ea8d0311463d4026f0f631a4843dec2">
   <!ENTITY cups-filters-size          "1.4 MB">
-  <!ENTITY cups-filters-buildsize     "62 MB (with tests), 17 MB installed">
+  <!ENTITY cups-filters-buildsize     "55 MB (with tests), 17 MB installed">
   <!ENTITY cups-filters-time          "0.4 SBU (with tests)">
 ]>
@@ -135,6 +135,5 @@
     </para>
 
-<screen><userinput>sed -i 's/ldap_connect/ldap_connect_loc/g' utils/cups-browsed.c &amp;&amp;
-./configure --prefix=/usr        \
+<screen><userinput>./configure --prefix=/usr        \
             --sysconfdir=/etc    \
             --localstatedir=/var \
@@ -188,8 +187,4 @@
     </para> 
     Poppler-0.72.0, cups-filters-1.21.5 - no longer needed.-->
-
-    <para>
-      <command>sed ... utils/cups-browsed.c</command>: This sed fixes building against openldap 2.5.4.
-    </para>
 
     <para>
Index: server/major/bind.xml
===================================================================
--- server/major/bind.xml	(revision dda8ca62a85095b9ec68686e4d5b6e972260165a)
+++ server/major/bind.xml	(revision 0791109ef614fa91c6fcd38e20ec8237e426ddc9)
@@ -7,8 +7,8 @@
   <!ENTITY bind-download-http " ">
   <!ENTITY bind-download-ftp  "ftp://ftp.isc.org/isc/bind9/&bind-version;/bind-&bind-version;.tar.xz">
-  <!ENTITY bind-md5sum        "45760cd0c8792baf467d21d639a60580">
+  <!ENTITY bind-md5sum        "76754e02c5182e1477b6c688e7432cb6">
   <!ENTITY bind-size          "4.8 MB">
-  <!ENTITY bind-buildsize     "127 MB (23 MB installed)">
-  <!ENTITY bind-time          "0.8 SBU (with parallelism=4; add 29+ minutes, somewhat processor independent, to run the complete test suite)">
+  <!ENTITY bind-buildsize     "116 MB (20 MB installed)">
+  <!ENTITY bind-time          "0.8 SBU (with parallelism=4; add 30+ minutes, somewhat processor independent, to run the complete test suite)">
 ]>
 