Index: multimedia/videoutils/ffmpeg.xml
===================================================================
--- multimedia/videoutils/ffmpeg.xml	(revision ef3c3207fa9607c3a13210832fa3c281f26c8ae1)
+++ multimedia/videoutils/ffmpeg.xml	(revision 791213b07a554a71902bf7fb4dce48949e5e8df1)
@@ -7,8 +7,8 @@
   <!ENTITY ffmpeg-download-http "http://ffmpeg.org/releases/ffmpeg-&ffmpeg-version;.tar.bz2">
   <!ENTITY ffmpeg-download-ftp  " ">
-  <!ENTITY ffmpeg-md5sum        "72361d3b8717b6db3ad2b9da8df7af5e">
-  <!ENTITY ffmpeg-size          "7.2 MB">
-  <!ENTITY ffmpeg-buildsize     "128 MB (additional 857 MB for docs and 1871 MB to run the FATE tests)">
-  <!ENTITY ffmpeg-time          "3.3 SBU (additional 0.9 SBU for docs and 4.5 SBU to run the FATE tests, after sample files are downloaded)">
+  <!ENTITY ffmpeg-md5sum        "c36caa8d29b3677dcb7bd8c546890c9d">
+  <!ENTITY ffmpeg-size          "7.1 MB">
+  <!ENTITY ffmpeg-buildsize     "130 MB (additional 870 MB for docs and 1903 MB to run the FATE tests)">
+  <!ENTITY ffmpeg-time          "3.5 SBU (additional 0.9 SBU for docs and 5 SBU to run the FATE tests, after sample files are downloaded)">
 ]>
 
@@ -141,6 +141,5 @@
       <ulink url="http://sourceforge.net/projects/opencore-amr/files/vo-amrwbenc/">vo-amrwbenc</ulink>,
       <ulink url="http://xavs.sourceforge.net/">libxavs</ulink> (SVN checkout),
-      <ulink url="http://kcat.strangesoft.net/openal-releases/">OpenAL</ulink>,
-      <ulink url="http://www.nongnu.org/texi2html">texi2html</ulink> (to build HTML documentation), and
+      <ulink url="http://kcat.strangesoft.net/openal-releases/">OpenAL</ulink>, and
       <ulink url="http://www.videolan.org/developers/x265.html">x265 (H.265/MPEG-H HEVC)</ulink>
     </para>
@@ -182,5 +181,6 @@
             --enable-libvpx      \
             --enable-libx264     \
-            --enable-x11grab     &amp;&amp;
+            --enable-x11grab     \
+            --docdir=/usr/share/doc/ffmpeg-&ffmpeg-version; &amp;&amp;
 make &amp;&amp;
 gcc tools/qt-faststart.c -o tools/qt-faststart</userinput></screen>
@@ -189,9 +189,5 @@
 
     <para>
-      HTML documentation was built in the previous step if
-      <ulink url="http://www.nongnu.org/texi2html">texi2html</ulink> is
-      installed. If the HTML was built (check for any
-      <filename class="extension">.html</filename> files in the
-      <filename class="directory">doc</filename> directory) and you have
+      HTML documentation was built in the previous step. If  you have
       <xref linkend="texlive"/> installed and wish to build PDF and
       Postscript versions of the documentation, issue the following commands:
@@ -222,5 +218,5 @@
       installed and follow the instructions for the
       <ulink url="http://www.ffmpeg.org/fate.html">
-      FFmpeg Automated Testing Environment</ulink> (FATE). First, about 872 MB
+      FFmpeg Automated Testing Environment</ulink> (FATE). First, about 879 MB
       of sample files used to run FATE are downloaded with the command:
     </para>
@@ -239,5 +235,5 @@
       Estimated values in "Package Information" do not include the download
       SBU. Next, FATE is executed, with the commands (you obtain a number of
-      tests greater than 1900):
+      tests greater than 2000):
     </para>
 
@@ -251,14 +247,17 @@
 <screen role="root"><userinput>make install &amp;&amp;
 install -v -m755    tools/qt-faststart /usr/bin &amp;&amp;
-install -v -m755 -d /usr/share/doc/ffmpeg &amp;&amp;
 install -v -m644    doc/*.txt \
-                    /usr/share/doc/ffmpeg</userinput></screen>
-
-    <para>
-      If HTML documentation was built, issue the following command to install it:
-    </para>
-
-<screen role="root"><userinput>install -v -m644 doc/*.html \
-                 /usr/share/doc/ffmpeg</userinput></screen>
+                    /usr/share/doc/ffmpeg-&ffmpeg-version;</userinput></screen>
+
+    <para>
+      If PDF and Postscript documentations were built, issue the following
+      commands, as the <systemitem class="username">root</systemitem> user, to
+      install them:
+    </para>
+
+<screen role="root"><userinput>install -v -m644 doc/*. pdf \
+                 /usr/share/doc/ffmpeg-&ffmpeg-version; &amp;&amp;
+install -v -m644 doc/*.ps   \
+                 /usr/share/doc/ffmpeg-&ffmpeg-version;</userinput></screen>
 
     <para>
@@ -268,8 +267,8 @@
     </para>
 
-<screen role="root"><userinput>install -v -m755 -d /usr/share/doc/ffmpeg/api                       &amp;&amp;
-cp -vr doc/doxy/html/* /usr/share/doc/ffmpeg/api                    &amp;&amp;
-find /usr/share/doc/ffmpeg/api -type f -exec chmod -c 0644 "{}" ";" &amp;&amp;
-find /usr/share/doc/ffmpeg/api -type d -exec chmod -c 0755 "{}" ";"</userinput></screen>
+<screen role="root"><userinput>install -v -m755 -d /usr/share/doc/ffmpeg-&ffmpeg-version;/api                       &amp;&amp;
+cp -vr doc/doxy/html/* /usr/share/doc/ffmpeg-&ffmpeg-version;/api                    &amp;&amp;
+find /usr/share/doc/ffmpeg-&ffmpeg-version;/api -type f -exec chmod -c 0644 "{}" ";" &amp;&amp;
+find /usr/share/doc/ffmpeg-&ffmpeg-version;/api -type d -exec chmod -c 0755 "{}" ";"</userinput></screen>
 
   </sect2>
@@ -445,5 +444,5 @@
           /usr/include/libswscale,
           /usr/share/ffmpeg, and
-          /usr/share/doc/ffmpeg
+          /usr/share/doc/ffmpeg-&ffmpeg-version;
         </seg>
       </seglistitem>
Index: multimedia/videoutils/transcode.xml
===================================================================
--- multimedia/videoutils/transcode.xml	(revision ef3c3207fa9607c3a13210832fa3c281f26c8ae1)
+++ multimedia/videoutils/transcode.xml	(revision 791213b07a554a71902bf7fb4dce48949e5e8df1)
@@ -164,5 +164,9 @@
 <screen><userinput>sed -i 's|doc/transcode|&amp;-$(PACKAGE_VERSION)|' \
        $(find . -name Makefile.in -exec grep -l 'docsdir =' {} \;) &amp;&amp;
-patch -Np1 -i ../transcode-&transcode-version;-ffmpeg2-1.patch &amp;&amp;
+sed -i "s:av_close_input_file:avformat_close_input:g" \
+       import/probe_ffmpeg.c                                       &amp;&amp;
+
+patch -Np1 -i ../transcode-&transcode-version;-ffmpeg2-1.patch                   &amp;&amp;
+&transcode-version;
 ./configure --prefix=/usr \
             --enable-alsa \
@@ -192,4 +196,9 @@
     <para>
       <command>sed -i ...</command>: Fixes install location for documentation.
+    </para>
+
+    <para>
+      <command>sed ... import/probe_ffmpeg.c</command>: This sed fixes
+      compilation with <application>ffmpeg</application> 2.4.
     </para>
 
Index: multimedia/videoutils/vlc.xml
===================================================================
--- multimedia/videoutils/vlc.xml	(revision ef3c3207fa9607c3a13210832fa3c281f26c8ae1)
+++ multimedia/videoutils/vlc.xml	(revision 791213b07a554a71902bf7fb4dce48949e5e8df1)
@@ -216,4 +216,5 @@
 <screen><userinput>sed -i 's:libsmbclient.h:samba-4.0/&amp;:' modules/access/smb.c &amp;&amp;
 ./bootstrap                                                 &amp;&amp;
+sed "s:&lt; 56:&lt; 57:g" -i configure                            &amp;&amp;
 ./configure --prefix=/usr                                   &amp;&amp;
 make</userinput></screen>
@@ -253,4 +254,9 @@
       <command>./bootstrap</command>: This command calls autoreconf to generate
       m4 macros and prepare Makefiles.
+    </para>
+
+    <para>
+      <command>sed ... configure</command>: This sed fixes compilation with
+      <application>ffmpeg</application> 2.4.
     </para>
 