Index: x/installing/mesa.xml
===================================================================
--- x/installing/mesa.xml	(revision c97d35e2f6de9ba93637ce0535d9220894138db6)
+++ x/installing/mesa.xml	(revision 797182d11aab62c93050fbdb5d1d3ccf92f2b2cc)
@@ -150,5 +150,6 @@
   </sect2>
 
-  <sect2 role="kernel" id="mesa-kernel">
+  <sect2 role="kernel" id="mesa-kernel"
+         xreflabel='Mesa Kernel Configuration'>
     <title>Kernel Configuration</title>
 
@@ -167,6 +168,6 @@
       Display Engine Configuration
         [*] AMD DC - Enable new display engine [CONFIG_DRM_AMD_DC]
-    &lt;*/M&gt;   Nouveau (NVIDIA) cards             [CONFIG_DRM_NOUVEAU] # For nouveau
-    &lt;*/M&gt;   Intel 8xx/9xx/G3x/G4x/HD Graphics  [CONFIG_DRM_I915]    # For i915, crocus, or iris
+    &lt; /*/M&gt; Nouveau (NVIDIA) cards             [CONFIG_DRM_NOUVEAU] # For nouveau
+    &lt; /*/M&gt; Intel 8xx/9xx/G3x/G4x/HD Graphics  [CONFIG_DRM_I915]    # For i915, crocus, or iris
     &lt; /*/M&gt; DRM driver for VMware Virtual GPU  [CONFIG_DRM_VMWGFX]  # For svga
     &lt; /*/M&gt; Virtual GEM provider               [CONFIG_DRM_VGEM]    # For swrast</literal></screen>
@@ -206,16 +207,5 @@
       <para>
         For <literal>swrast</literal>, <option>CONFIG_DRM_VGEM</option>
-        is not strictly needed but recommended as an optimization.  
-        You will also need to select at least a working DRM or framebuffer
-        driver.  For a system booted with EFI, the configuration
-        in <xref linkend="uefi-kernel"/> is sufficient.  For a system booted
-        with BIOS, <quote>VESA VGA graphics support</quote>
-        <!-- TODO: it should be replaced with CONFIG_DRM_SIMPLEDRM as well,
-             but the LFS grub configuration does not initialize the FB so it
-             won't work with BIOS boot.  -->
-        (<option>CONFIG_FB_VESA</option>, under
-        <quote>Frame buffer Devices => Support for frame buffer
-        devices</quote>) is sufficient.  However a dedicated DRM or framebuffer
-        driver may provide additional functionalities.
+        is not strictly needed but recommended as an optimization.
       </para>
     </note>
Index: x/installing/xorg-server.xml
===================================================================
--- x/installing/xorg-server.xml	(revision c97d35e2f6de9ba93637ce0535d9220894138db6)
+++ x/installing/xorg-server.xml	(revision 797182d11aab62c93050fbdb5d1d3ccf92f2b2cc)
@@ -11,4 +11,8 @@
   <!ENTITY xorg-server-buildsize     "188 MB (with tests)">
   <!ENTITY xorg-server-time          "0.6 SBU (using parallelism=4; with tests)">
+  <!ENTITY modesetting_drv
+           "<filename class='libraryfile'>modesetting_drv</filename>">
+  <!ENTITY BLFS113 "https://www.linuxfromscratch.org/blfs/view/11.3/x/x7driver.html">
+  <!ENTITY BLFS76 "https://www.linuxfromscratch.org/blfs/view/7.6/x/x7driver.html">
 ]>
 
@@ -105,5 +109,87 @@
       <ulink url="https://www.x.org/archive/individual/doc/">xorg-sgml-doctools</ulink> (to build documentation)
     </para>
-
+  </sect2>
+
+  <sect2 role="kernel" id="xorg-server-kernel">
+    <title>Kernel Configuration</title>
+
+    <para>
+      The traditional Device Dependant X (DDX) drivers have been removed
+      from BLFS in favor of the &modesetting_drv; driver which will be
+      built as a part of this package.  To use the &modesetting_drv; driver,
+      the kernel must provide a Direct Rendering Manager (DRM) driver for
+      your GPU.
+    </para>
+
+    <para>
+      If your GPU supports 3D acceleration and <xref linkend='mesa'/>
+      provides a Gallium3D driver for utilizing its 3D capability, you
+      should have already enabled the necessary kernel configuration options
+      in <xref linkend='mesa-kernel'/>.  Otherwise, you need to find the
+      kernel configuration option of the DRM driver for the GPU and enable
+      it.  Notably, the virtual GPUs provided by some virtual machine
+      managers:
+    </para>
+
+<screen><literal>Device Drivers  ---&gt;
+  Graphics support ---&gt;
+    &lt;*/M&gt;   Direct Rendering Manager (XFree86 ... support) ---&gt;      [CONFIG_DRM]
+    &lt; /*/M&gt; DRM driver for VMware Virtual GPU                       [CONFIG_DRM_VMWGFX]
+    &lt; /*/M&gt; DRM Support for bochs dispi vga interface (qemu stdvga) [CONFIG_DRM_BOCHS]
+    &lt; /*/M&gt; Virtual Box Graphics Card                               [CONFIG_DRM_VBOXVIDEO]</literal></screen>
+
+    <para>
+      If the kernel does not provide a DRM driver for your GPU, on most x86
+      systems the <quote>simple frame buffer</quote> DRM driver running on
+      VESA or UEFI frame buffer can be used as a fallback.  Enable the
+      following options in the kernel configurations if you don't have a
+      dedicated DRM driver for the GPU, or you want to keep the simple
+      frame buffer driver as a fallback in case the dedicated driver fails:
+    </para>
+
+<screen><literal>Device Drivers  ---&gt;
+  Firmware Drivers ---&gt;
+    [*] Mark VGA/VBE/EFI FB as generic system framebuffer       [CONFIG_SYSFB_SIMPLEFB]
+  Graphics support ---&gt;
+    &lt;*&gt; Direct Rendering Manager (XFree86 ... support)          [CONFIG_DRM]
+    &lt;*&gt; Simple framebuffer driver                               [CONFIG_DRM_SIMPLEDRM]</literal></screen>
+
+    <para>
+      To allow the kernel to print debug messages at an early boot stage,
+      <option>CONFIG_DRM</option> and <option>CONFIG_DRM_SIMPLEDRM</option>
+      should not be built as kernel modules unless an initramfs will be
+      used.
+    </para>
+
+    <para>
+      If you want to use the simple frame buffer driver on a system booted
+      via BIOS (instead of UEFI), add the following line before the first
+      <literal>menuentry</literal> block in the
+      <filename>/boot/grub/grub.cfg</filename> file to initialize the VESA
+      frame buffer:
+    </para>
+
+<screen><literal>set gfxpayload=<replaceable>1024x768x32</replaceable></literal></screen>
+
+    <para>
+      You may replace <literal>1024</literal>, <literal>768</literal>, and
+      <literal>32</literal> with a resolution and color depth setting
+      suitable for your monitor.
+    </para>
+
+    <para>
+      If all of these DRM drivers do not work for you and you need to use
+      a DDX driver with a non-DRM kernel GPU driver (usually named
+      <option>CONFIG_FB_*</option> in the kernel configuration, or existing
+      as out-tree kernel modules), or you need an device specific
+      functionality requiring a DDX driver, consult
+      <ulink url="&BLFS113;">a prior version of BLFS</ulink>, or
+      <ulink url="&BLFS76;">a even prior version</ulink> for more DDX
+      drivers.
+    </para>
+
+    <indexterm zone="xorg-server xorg-server-kernel">
+      <primary sortas="d-xorg-server">xorg-server</primary>
+    </indexterm>
   </sect2>
 
@@ -154,6 +240,6 @@
     <para>
       <parameter>-Dglamor=true</parameter>: Ensure building the Glamor
-      module.  It's needed to run the Xorg server without Device Dependant X
-      (DDX) drivers.
+      module.  It's needed to build the &modesetting_drv; driver
+      which replaces the traditional Device Dependant X (DDX) drivers.
     </para>
 
@@ -200,6 +286,5 @@
         <seg>
           several under $XORG_PREFIX/lib/xorg/modules/ including the
-          <filename class="libraryfile">modesetting_drv.so</filename>
-          driver
+          &modesetting_drv; driver
         </seg>
         <seg>